<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once('..' . DS . '..' . DS . 'includes' . DS . 'add_image_thumbnail.php'); // shared code with media_edit.php
use \Renew\Validator;
use \Renew\DbManagerMedia;

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

if (isset($_POST) && isset($_POST['ajax'])) {
  $fileId = $_POST['file_id'];
  $imageId = addImageThumbnail($fileId);

  // Save
  if ($imageId !== FALSE) {
    $updateArray = array(
      'image_id' => $imageId
    );

    $dbManagerMedia->openDb();
      if (!$dbManagerMedia->mediaUpdateAttrsForFileWithId($fileId, $updateArray)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerMedia->closeDb();
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse($imageId);
  exit();
}
