<?php
/*
  TODO Comment
*/
require_once("Renew" . DS . "Utilities" . DS . "CSVGenerator.php");
require_once("Renew" . DS . "DbManagerWifi.php");
use \Renew\DbManagerWifi as DbManagerWifi;
use \Renew\Utilities\CSVGenerator as CSVGenerator;

/*
  NOTE: IMPORTANT! Do not use '&' in strings. Some browsers cannot send this in an email mailto call.
*/

$dbManagerWifi = new DbManagerWifi(LSWIFI_DB);
$csvFile = BASE_DIR . DS . "reports" . DS . "followup_form_summary.csv";
$csvGenerator = new CSVGenerator($csvFile);

/*
  TODO Comment
*/
function getFollowupFormSummaryHelper($shouldDownload) {
  global $dbManagerWifi;
  global $csvGenerator;

  $dbManagerWifi->openDb();
    $responsesArray = $dbManagerWifi->formResponsesGetFormattedResponsesForFormId(DbManagerWifi::FOLLOWUP_FORM_ID, TRUE);
  $dbManagerWifi->closeDb();

  foreach($responsesArray as $response) {
    $csvGenerator->addRow($response);
  }

  $csvGenerator->close();
  if ($shouldDownload) {
    $csvGenerator->download();
    return;
  } else {
    return $csvGenerator->getString();
  }
}

/*
  TODO Comment
*/
function downloadFollowupFormSummary() {
  getFollowupFormSummaryHelper(TRUE);
  return;
}

/*
  TODO Comment
*/
function getFollowupFormSummaryText() {
  return getFollowupFormSummaryHelper(FALSE);
}
