<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
use \Renew\Validator as Validator;
use \Renew\DbManagerWifi as DbManagerWifi;

$validator = new Validator();

if (isset($_POST) && isset($_POST['ajax'])) {
  $dbManagerWifi->openDb();
    // Username
    $newAdminLanguage = $_POST['admin_language'];
    $validator->validateTextInput($newAdminLanguage, _('Language'));
    if (!$dbManagerWifi->settingsSetKeyValue("admin_language", $newAdminLanguage)) {
      $validator->addFormErrorSaveFailed();
    }
  $dbManagerWifi->closeDb();

  // Return to ajax
  echo $validator->ajaxFormResponse();
  exit();
}

$t->assign("admin_languages_array", $adminLanguagesArray);
$t->assign("page_title", _('Admin Language'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'language');
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'language.tpl');
