<?php
/*
  TODO Comment
*/
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "Utilities" . DS . "LightStreamServices.php");
require_once("Renew" . DS . "DbManagerSd.php");
use \Renew\Validator as Validator;
use \Renew\DbManagerSd as DbManagerSd;

$dbManagerSd = new Renew\DbManagerSd(LSSD_DB);
$validator = new Validator();

if (isset($_POST) && isset($_POST['ajax'])) {

  // returns a string 'true' or 'false'
  $sdLockDisabled = Validator::formatCheckbox(@$_POST['sd_lock']);

  // Save
  if ($validator->formErrorsIsEmpty()) {
    $success = TRUE;
    $dbManagerSd->openDb();
      if(!$dbManagerSd->settingsSetKeyValue("sd_lock_disabled", $sdLockDisabled)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerSd->closeDb();
  }

  // Return to ajax
  echo $validator->ajaxFormResponse();
  exit();
}

$dbManagerSd->openDb();
  $sdLockDisabled = Validator::StringToBoolean($dbManagerSd->settingsGetValueForKey("sd_lock_disabled"));
$dbManagerSd->closeDb();

$t->assign("sd_lock_disabled", $sdLockDisabled);
$t->assign("page_title", _('SD & USB Copy Settings'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'sd');
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'sd.tpl');
