<?php
require_once('..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . 'common.php');
use \Renew\DbManagerWifi;

$backParam = '';
if (isset($_GET)) {
  if (isset($_GET['device_num'])) {
    $deviceNum = $_GET['device_num'];
  }
  if (isset($_GET['back'])) {
    $backParam = $_GET['back'];
  }
}

$dbManagerWifi->openDb();
  if (!isset($deviceNum)) {
    $deviceNum = '';
    $deviceId = NULL;
  } else {
    $deviceId = $dbManagerWifi->devicesGetDeviceIdWithDeviceNum($deviceNum);
  }
  $recentActivity = $dbManagerWifi->statsGetRecentActivity(NULL, TRUE, 0, $deviceId);
  $arrayDeviceNums = $dbManagerWifi->devicesGetDeviceNums();
  if ($arrayDeviceNums) {
    $arrayDeviceNumsFormatted = DbManagerWifi::formatAssociativeArrayForSelect($arrayDeviceNums, 'device_num', 'device_num', function($item) {
      return _('User') . ' ';
    }, TRUE);
  }
$dbManagerWifi->closeDb();

$t->assign('back_param', $backParam);
$t->assign('page_title', sprintf(_('User %s Activity'), $deviceNum));
$t->assign('device_id', $deviceId);
$t->assign('array_device_nums', $arrayDeviceNumsFormatted);
$t->assign('device_num', $deviceNum);
$t->assign('recent_activity', $recentActivity);
$t->assign('current_page', 'user_details');
templateDisplayPageAdmin('admin' . DS . 'user_details.tpl');
