<?php

// include the settings for php functions to run from the command line
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('vendor' . DIRECTORY_SEPARATOR . 'autoload.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'TemplateManager.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'CacheHelper.php');
use \Renew\CacheHelper;

$t = new Renew\TemplateManager(BASE_DIR);
$t->clearAllCache();
$slimCache = new CacheHelper(new Doctrine\Common\Cache\FilesystemCache(DOC_ROOT . '/cache'));
$slimCache->flushAll();