{*
  TODO Comment
  @param interaction
*}
{assign var="show_user_details_link" value="{if isset($show_user_details_link) && $show_user_details_link}TRUE{/if}"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
<div id="{$interaction['interaction_id']}-tile" class="flexbox-vertically-center-children recent-activity-tile-wrapper">
  <div class="display-inline-block">
    <i class="material-icons icon-fab background-gray">
      {if $interaction['interaction_type'] == 'stream'}
        &#xE037;
      {elseif $interaction['interaction_type'] == 'download'}
        &#xE2C4;
      {elseif $interaction['interaction_type'] == 'connect'}
        &#xE1BA;
      {elseif $interaction['interaction_type'] == 'disconnect'}
        &#xE1DA;
      {elseif $interaction['interaction_type'] == 'homepage'}
        &#xE88A;
      {elseif $interaction['interaction_type'] == 'form'}
        &#xE14F; {*&#xE85D;*}
      {else}
        &#xE324; {* TODO add more cases *}
      {/if}
    </i>
  </div>
  <div class="display-inline-block margin-left-10">
    <h4 class="margin0 padding0 wrap-long-words">
      {if $interaction['interaction_type'] == 'stream' || $interaction['interaction_type'] == 'download'}
        {$interaction['path_rel']}
      {elseif $interaction['interaction_type'] == 'connect'}
        {t}Connected{/t}
      {elseif $interaction['interaction_type'] == 'disconnect'}
        {t}Disconnected{/t}
      {elseif $interaction['interaction_type'] == 'homepage'}
        {t}Website Reached{/t}
      {elseif $interaction['interaction_type'] == 'form'}
        {t}Follow-up Form Response{/t}
      {/if}
    </h4>
    {if $show_user_details_link}
    <a class="text-link" href="/admin/user_details.php?back=dashboard&device_num={$interaction['device_num']}">
    {/if}
      {$user_string|replace:'%s':$interaction['device_num']}
    {if $show_user_details_link}
    </a>
    {/if}
    {if $interaction['interaction_type'] == 'stream' || $interaction['interaction_type'] == 'download'}
    | {$interaction['interaction_type']}
    {/if}
    | <span id="{$interaction['interaction_id']}-time-ago"></span>
  </div>
</div>

{include file="shared/script_start.tpl"}
  initAdmin.init("recent_activity_tile.tpl", {
    time_ago_string: "{$time_ago_string}",
    days_string: "{$days_string}",
    hours_string: "{$hours_string}",
    minutes_string: "{$minutes_string}",
    seconds_string: "{$seconds_string}",
    interaction: {json_encode($interaction) nofilter}
  });
{include file="shared/script_end.tpl"}
