{*
  TODO Comment

  @author JP
  @param response
*}

{extends file="admin/components/reusable/form_extend_accordion.tpl"}
{assign var="click_id" value="response-{$response['response_id']}"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{* Including "in" in group_class will make the accordion open by default *}
{block name="hide_form"}TRUE{/block}
{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$click_id}{/block}
{block name="form_title"}
  <span class="margin-left-30">
    {$user_string|replace:'%s':$response['device_num']} -
    <span id="{$click_id}-title-time-ago"></span>
  </span>
{/block}
{block name="absolute_position"}
<div class="followup-form-response-checkbox">
  {include
    file="admin/components/reusable/form_checkbox.tpl"
    name="followup_form_checkbox"
    value="{$response['response_id']}"
    id="{$click_id}-checkbox"
    class="followup-form-multiselect-checkboxes {$checkbox_class}"
    checked=FALSE
    remove_margin_top=TRUE
  }
</div>
{/block}

{block name="content"}
  <div class="padding-15">
    {foreach from=$response key=title item=value name=response_foreach}
      {* Skip response_id,and device_id *}
      {if $smarty.foreach.response_foreach.index !== 0
       && $smarty.foreach.response_foreach.index !== 2}
        <div>
          <h4>
            {if $title == 'device_num'}
              {t}User ID{/t}
            {elseif $title == 'date_time'}
              {t}Date / Time{/t}
            {else}
              {$title}
            {/if}
          </h4>
          <p>
            {$value}
            {if $title == 'device_num'}
              - <a class="text-link" href="/admin/user_details.php?back=responses&device_num={$value}">{t}View User Activity{/t}</a>
            {/if}
          </p>
        </div>
        <hr />
      {/if}
    {/foreach}
  </div>
{/block}
{block name="script"}
  {include file="shared/script_start.tpl"}
    initAdmin.init("followup_form_responses.tpl", {
      time_ago_string: "{$time_ago_string}",
      days_string: "{$days_string}",
      hours_string: "{$hours_string}",
      minutes_string: "{$minutes_string}",
      seconds_string: "{$seconds_string}",
      date_time: "{$response['date_time']}",

      group_class: "{$group_class}",
      click_id: "{$click_id}",
      checkbox_id: "{$click_id}-checkbox",
      media_select_count_class: "{$media_select_count_class}"
    });
  {include file="shared/script_end.tpl"}
{/block}
