{*
  Nav options menu for media manager allowing edit, delete, etc. of media

  USES JS

  @author JP
  @assign directory_array, array of directory info
  @param id
*}
<div id="followup-responses-nav" class="media-nav">
  <div class="col-sm-10 col-md-8 col-centered">
    <div class="followup-form-select-bar-container">
      <div class="media-nav-select-bar"></div>
      <div class="media-nav-select-checkbox">
        {include
          file="admin/components/reusable/form_checkbox.tpl"
          name="checkbox_multiselect"
          id="responses-checkbox-multiselect"
          checked=FALSE
          remove_margin_top=TRUE
        }
      </div>
      <div class="row">
        <div class="col-xs-8 col-sm-6 col-centered">
          <form id="delete-responses-form" class="margin0" method="POST" action="/admin/manage/followup_form/responses.php" enctype="multipart/form-data">
            <input type="hidden" name="_method" value="DELETE">
            {include
      				file="shared/raised_button.tpl"
      				id="delete-responses-button"
              icon="&#xE92B;"
      				class="btn-less-side-padding btn-danger padding-top-bottom-10"
      				title="{t}Delete{/t} (<span class='{$media_select_count_class}'>0</span>)"
      			}
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  initAdmin.init("followup_form_responses_nav.tpl", {
    checkbox_class: "{$checkbox_class}",
    error_message: "{t}No responses selected{/t}",
    delete_message: "{t}Are you sure you want to delete %s items?{/t}",
    selected_array_name: "selected_array[]"
  });
{include file="shared/script_end.tpl"}
