{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

<div>{t}This device can use Bluetooth to send small files to phones.{/t}</div>
<br />

<div class="color-danger">{$message_bluetooth_dongle nofilter}</div>
<br />

<h4><i class="material-icons">&#xE1A7;</i> {t}What is Bluetooth?{/t}</h4>
<hr />
<ul>
  <li>{t}Bluetooth is a technology that can be used to transfer very small files between devices. It works best when audio files are less than an hour long and video clips are a few minutes long.{/t}</li>
  <li>{t}Bluetooth can be used for sending files to feature phones, phones that are not smartphones like older Nokias. These phones generally cannot use WiFi but can often receive files over Bluetooth.{/t}</li>
  <li>{t}Bluetooth can also be used to advertise this WiFi hotspot. The Bluetooth device name can be set to something like “Connect to GoWifi.org”.{/t}</li>
</ul>
<br />

<h4>{t}Important!{/t}</h4>
<hr />
<ul>
  <li>{$message_help_bluetooth_size nofilter}</li>
  <li>{t}Bluetooth can be used only between devices that are very close to each other (less than 10 meters apart).{/t}</li>
</ul>
<br />

<h4>{t}How do I receive a file using Bluetooth?{/t}</h4>
<hr />
<ul>
  <li><i class="material-icons">&#xE1A8;</i> {t}To receive a file, open a phone’s Bluetooth settings and pair with this device. The file transfer will begin shortly.{/t}</li>
  <li><i class="material-icons">&#xE417;</i> {t}This device can automatically ask phones if they want to receive a file if the phones have their Bluetooth turned on and set to visible. Once a phone is visible, it may take a few minutes before a message pops up on the phone, asking if the user wants to receive a file.{/t}</li>
</ul>
