<div>{t}The Manage Media page allows you to upload new media, edit media file details, and change how the media appears on the homepage.{/t}</div>
<br />

<h4><i class="material-icons">&#xE254;</i> {t}Edit File Information{/t}</h4>
<hr />
<ul>
  <li>{t}Add file descriptions and titles.{/t}</li>
  <li>{t}Click “Select Image” to choose an image thumbnail for media.{/t}</li>
</ul>
<br />

<h4>{t}Availability{/t}</h4>
<hr />
<ul>
  <li><i class="material-icons">&#xE63E;</i> {t}Select the WiFi checkbox to make media visible on the homepage.{/t} <br /><span class="color-danger">{t}IMPORTANT: If this option is not checked for a media item, users will not be able to see it.{/t}</span></li>
  <li><i class="material-icons">&#xE623;</i> {t}Select the SD/USB checkbox to copy the file to an SD card or USB drive when it is inserted.{/t}</li>
</ul>
<br />

<h4><i class="material-icons">&#xE8DA;</i>{t}Featured{/t}</h4>
<hr />
<ul>
  <li>{t}Select the “Featured” checkbox to place a media file in the featured media slider at the top of the homepage.{/t}</li>
</ul>
<br />

<h4><i class="material-icons">&#xE5D8;</i> {t}First{/t}</h4>
<hr />
<ul>
  <li>{t}Select the “First” checkbox to show selected items first on the homepage.{/t}</li>
</ul>
<br />

<h4><i class="material-icons">check_box</i> {t}Multi-Edit Media{/t}</h4>
<hr />
<ul>
  <li>{t}Select multiple media items by clicking the checkboxes on the left. Then, choose a button on the bottom bar to edit, delete, or move multiple files at once.{/t}</li>
</ul>
<br />

<h4><i class="material-icons">translate</i> {t}Make “Language Folders” for media in different languages{/t}</h4>
<hr />
<ul>
  <li>{t}Language folders make it easier for users to find content in their language. Each language will be shown to users on the homepage as an option in a menu.{/t}</li>
  <li>{t}Media that is moved into a language folder will be displayed to users who select that language in the menu.{/t}</li>
  <li>{t}Each language folder has its own featured media slider and greeting panel. Edit a language folder to add a greeting panel in that language.{/t}</li>
  <li>
    <div>{t}If a user’s browser is set to a language that matches one of the language folders, they will automatically be redirected into that folder on their first visit to the homepage.{/t}</div>
    <br />
    <a class="text-link" href="/admin/manage/user_interface.php?open=general">{t}Click here to disable the language redirect{/t}</a>
  </li>
</ul>
