{*
  Checkboxes to allow users to select WiFi, Bluetooth, and SD availability

  @author JP

  @param id
  @param wifi_status_checked
  @param sd_status_checked
  @param media_item Used to pre-set the checkboxes
*}

{*
<div class="col-xs-4">
  {*<div class="label-text margin0"><i class="material-icons">visibility</i> {t}Distribute over{/t}:</div>
</div>
*}
<div class="col-sm-4 col-xs-3">
  {include
    file="admin/components/reusable/form_checkbox_icon.tpl"
    name="wifi_status"
    id="{$id}-wifi-status"
    icon="&#xE63E;"
    checked="{if isset($media_item) && $media_item['wifi_status'] == 2}TRUE{elseif isset($wifi_status_checked) && $wifi_status_checked}TRUE{/if}"
  }
</div>
{*
<div class="col-xs-4">
  {include
    file="admin/components/reusable/form_checkbox_icon.tpl"
    name="bluetooth_status"
    id="{$id}-bluetooth-status"
    icon="&#xE1A7;"

  }
  <!--checked="{if isset($media_item) && $media_item['bluetooth_status'] == 2}TRUE{/if}"-->
</div>
*}
<div class="col-sm-4 col-xs-3">
  {include
    file="admin/components/reusable/form_checkbox_icon.tpl"
    name="usb_status"
    id="{$id}-usb-status"
    icon="&#xE623;"
    checked="{if isset($media_item) && $media_item['usb_status'] == 2}TRUE{elseif isset($sd_status_checked) && $sd_status_checked}TRUE{/if}"
  }
</div>
<div class="col-sm-4 col-xs-6">
  {if isset($show_featured_checkbox) && $show_featured_checkbox}
    {include
      file="admin/components/reusable/form_checkbox_icon.tpl"
      name="featured"
      id="{$id}-availability-featured"
      label="{t}Featured{/t}"
      checked="{if isset($media_item) && $media_item['featured']}TRUE{/if}"
    }
  {/if}
  {*
  {include
    file="admin/components/reusable/form_checkbox.tpl"
    name="featured"
    id="{$id}-featured"
    label="{t}Featured{/t}"
    checked="{$media_item['featured']}"
    remove_margin_top=TRUE
  }
  *}
</div>
