{assign var="is_popup" value="{if isset($is_popup)}TRUE{/if}"}
{assign var="is_captive_portal_language" value="{if isset($is_captive_portal_language) && $is_captive_portal_language}TRUE{/if}"}

{if $is_popup}
<form id="new-directory-form" class="margin0" method="POST" action="/admin/manage/media_forms/create_new_directory.php" enctype="multipart/form-data">
  <input type="hidden" name="directory" value="{$current_directory_id}" />
{/if}
  {if $is_language_directory}
    {include
      file="admin/components/media/new_directory_select.tpl"
      language_select_id="{$language_select_id}"
      selected_value="{$language_iso}"
      is_popup="{if isset($is_popup) && $is_popup}TRUE{/if}"
    }
    <div id="{$language_select_id}-collapse-title" class="{if $is_popup && !$is_captive_portal_language}collapse{/if}">
      <div class="margin-bottom-neg-14">
        {include
          file="admin/components/reusable/form_input.tpl"
          name="title"
          label="{t}Language Display Name (Title){/t}"
          value="{$title}"
          id="{$name_input_id}"
          remove_margin_top=TRUE
        }
      </div>
      <br />
    </div>
  {else}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="filename"
      label="{t}Folder Name{/t}"
      value="{$filename}"
      id="{$name_input_id}"
      remove_margin_top=TRUE
    }
  {/if}
{if $is_popup}
</form>
{/if}

{if $is_language_directory}
  {include file="shared/script_start.tpl"}
    initAdmin.init("new_directory_select_wrapper.tpl", {
      language_select_id: "{$language_select_id}",
      name_input_id: "{$name_input_id}",
      filename_input_id: "{if isset($filename_input_id)}{$filename_input_id}{/if}",
      is_captive_portal_language: "{$is_captive_portal_language}"
    });
  {include file="shared/script_end.tpl"}
{/if}
