{*
  @param $list_label
  @param $form_list_item_array_id
  @param $item_array
  @param $form_list_item_content_file
  @param $item_default_ajax
  @param $button_text
*}

<div class="form-group padding0">
  <label>{$list_label}</label>
  {if isset($list_hint)}
  <hr class="margin-top-0 margin-bottom-10" />
  <div class="font-size-12 margin-bottom-10">
    - {$list_hint}
  </div>
  {else}
  <hr class="margin-bottom-15"/>
  {/if}
</div>
<div id="{$form_list_item_array_id}">
  {foreach from=$item_array item=item name=item_array_foreach}
    {include 
      file="admin/components/reusable/form_list_item.tpl"
      item_associative_array=$item
      form_list_item_content_file=$form_list_item_content_file
      form_list_item_id="{$form_list_item_array_id}-{$smarty.foreach.item_array_foreach.index}"
    }
  {/foreach}
</div>
<div id="{$form_list_item_array_add_button_id}-wrapper">
  <div class="col-sm-6 col-xs-10 col-centered">
    {include
      file="shared/raised_button.tpl"
      id="{$form_list_item_array_add_button_id}"
      icon="&#xE145;"
      class="padding-8"
      title="{$button_text}"
    }
  </div>
</div>
{include file="shared/script_start.tpl"}
  initAdmin.init('form_list_item_array.tpl', {
    add_button_id: "{$form_list_item_array_add_button_id}",
    wrapper_id: "{$form_list_item_array_id}",
    data: {json_encode([
      'item_associative_array' => $item_default_ajax,
      'form_list_item_content_file' => $form_list_item_content_file
    ]) nofilter}
  });
{include file="shared/script_end.tpl"}