{*
  Radio buttons for forms. In general, these are nested in the following markup:
  <div class="row form-group">
    <label class="col-md-2 padding0 margin-top-10">{t}Select One{/t}: </label>
    <div class="col-md-10">
      ... [Radio buttons go here] ...
    </div>
  </div>

  @author JP
  @param name
  @param id
  @param value
  @param checked If true, radio will be checked by default
  @param hint
  @param label
*}
<div class="form-group margin0 padding-bottom-0">
  <div class="radio radio-primary {if isset($remove_margin_top)}margin-top-0{/if}">
    <label class="display-inline">
      <input
        type="radio"
        name="{$name}"
        {if isset($id)} id="{$id}" {/if}
        value="{$value}"
        {if isset($checked) && $checked}
        checked=""
        {/if}
      >
      {$label}
    </label>
    {include file="admin/components/reusable/form_security_button.tpl"}
    {if isset($hint)}
    <p class="help-block">
      {$hint}
    </p>
    {/if}
  </div>
</div>
