{*
  TODO Comment

  @author JP
  @block label
  @block name
  @block id
  @block placeholder
  @block content
*}

{assign var=label value="{block name='label'}{/block}"}
{assign var=name value="{block name='name'}{/block}"}
{assign var=id value="{block name='id'}{/block}"}
{assign var=class value="{block name='class'}{/block}"}
{assign var=placeholder value="{block name='placeholder'}{/block}"}
{assign var=remove_margin_top value="{block name='remove_margin_top'}{/block}"}
{assign var=keep_padding value="{block name='keep_padding'}{/block}"}
{assign var=default_option_text value="{block name='default_option_text'}{/block}"}
{assign var=default_option_value value="{block name='default_option_value'}{/block}"}
{assign var=selected_value value="{block name='selected_value'}{/block}"}

{if !isset($default_option_value)}
  {assign var=default_option_value value="default"}
{/if}

<div class="form-group {if $remove_margin_top}margin0{/if} {if !$keep_padding}padding0{/if}">
  {if $label}
  <label for="{$name}">{$label}</label>
  <br />
  {/if}
  <select
    class="select2 {$class}"
    name="{$name}"
    {if $id} id="{$id}" {/if}
    {if isset($placeholder) && $placeholder} data-placeholder="{$placeholder}" {/if}>
    {if isset($placeholder) && $placeholder}
      <option class="hidden"></option>
    {/if}
    {if $default_option_text}
      <option
        value="{$default_option_value}"
        {if $selected_value == "{$default_option_value}"} selected {/if}>
        {$default_option_text}
      </option>
    {else}
      <option class="hidden"></option>
    {/if}
    {block name="content"}{/block}
  </select>
</div>

{block name="script"}{/block}
