{assign var="checkbox_value" value="{block name='checkbox_value'}{/block}"}
{assign var="checkbox_array_name" value="{block name='checkbox_array_name'}{/block}"}
{assign var="ajax" value="{block name='ajax'}{/block}"}
{assign var="disable_sortable" value="{block name='disable_sortable'}{/block}"}

<div id="{$checkbox_value}-wrapper" class="sortable-item-tile-wrapper row margin0 flexbox-vertically-center-children">
  {if !$disable_sortable}
    <div>
      <div class="sortable-handle text-center cursor-move">
        <i class="material-icons">&#xE3C7;</i>
      </div>
    </div>
  {/if}
  {block name="content"}{/block}
  <div class="margin-left-auto">
    {include
      file="shared/raised_button.tpl"
      id="{$checkbox_value}-remove"
      class="btn-danger square-button"
      icon="&#xE92B;"
      icon_class=""
      title=""
      remove_block=TRUE
    }

    {* Hidden checked checkbox *}
    <input
      type="checkbox"
      id="{$checkbox_value}"
      name="{$checkbox_array_name}"
      value="{$checkbox_value}"
      class="hidden"
      checked="" />
  </div>

  {* Keep script in wrapper so it gets removed *}
  {include file="shared/script_start.tpl"}
    var checkboxId = '#{$checkbox_value}'; // Checkbox ID set to value
    var isAjax='{$ajax}';
    deletableList.formDeletableItem(checkboxId+'-remove', checkboxId+'-wrapper', isAjax, checkboxId);
  {include file="shared/script_end.tpl"}
</div>
