 {*
  Table in featured_media.tpl, allowing users to add or remove items, rendered
  as featured_media_deletable_item.tpl.

  @assign featured_media_array
*}
<div id="sortable-item-title-list">
  {* TODO put current ones here, with their own name *}
  {foreach from=$media_array item=media_item}
    {include
      file="admin/components/user_interface/featured_media_sortable_item.tpl"
      checkbox_array_name="{$checkbox_array_name}"
      checkbox_value="{$media_item['file_id']}"
      title="{$media_item['path_rel']}{if isset($media_array_field_append_to_title)} ({$media_item[$media_array_field_append_to_title]}){/if}"
    }
  {/foreach}
</div>
<br />
<div class="row">
  <div class="col-sm-3">
    <label>{$title}:</label>
  </div>
  <div class="col-sm-9">
    {include
      file="admin/components/media/media_select.tpl"
      name="add_featured_media"
      placeholder="+ {t}Add Media{/t}"
      id="sortable-item-add-button"
      remove_margin_top=TRUE
    }
  </div>
</div>

{include file="shared/script_start.tpl"}
  deletableList.initListFeatured(
    "#sortable-item-title-list",
    "#sortable-item-add-button",
    "{$checkbox_array_name}",
    "{$max_number_of_inputs}",
    "{t}Maximum number allowed: %s{/t}"
  );
{include file="shared/script_end.tpl"}
