{*
  Submit footer for forms

  @author JP
  @param media If true, format for forms on manage media page
  @param onclick TODO remove
  @param cancel_button_onclick
  @param hide_cancel If true, cancel button will be hidden
  @param submit_text Text to optionally replace "Save Changes" message
*}
{assign var="submit_button_id" value="{if isset($submit_button_id) && $submit_button_id}{$submit_button_id}{else}{$cancel_button_id}-submit{/if}"}

{if isset($media)}
<div class="row form-submit-footer-media">
{else}
<div class="row margin0 padding-bottom-5">
{/if}
  {* TODO transition this to raised_button *}
  {if isset($hide_cancel) && $hide_cancel}
  <div class="col-xs-6 col-centered less-padding-col-left">
  {else}
  <div class="col-xs-6 less-padding-col-left">
    <a class="btn btn-block btn-raised btn-danger"
      {if isset($cancel_button_id) && $cancel_button_id}
      id="{$cancel_button_id}"
      {/if}
      {if isset($cancel_href) && $cancel_href}
      href="{$cancel_href}"
      {/if}
      {if isset($onclick)}
      onclick="{$onclick}"
      {/if}
      >
    {if isset($cancel_text) && $cancel_text}
      {$cancel_text}
    {else}
      {t}Cancel{/t}
    {/if}
    </a>
  </div>
  <div class="col-xs-6 less-padding-col-right">
  {/if}
    {include
      file="shared/raised_button.tpl"
      id="{$submit_button_id}"
      class="btn-success"
      gif_class="width-height-20"
      title="{if isset($submit_text) && $submit_text}{$submit_text}{else}{t}Save{/t}{/if}"
      submit="{if !isset($disable_submit) || !$disable_submit}TRUE{/if}"
      use_global_gif_class=TRUE
    }
  </div>
</div>


{include file="shared/script_start.tpl"}
  {if !isset($disable_gif)}
    var submitButtonId = '#{$submit_button_id}';
    $(submitButtonId).on('click', function() {
      utilAdmin.enableRaisedButtonGif(submitButtonId);
    });
  {/if}

  {if isset($cancel_button_onclick) && $cancel_button_onclick}
    $('#{$cancel_button_id}').on('click', function() {
      {$cancel_button_onclick nofilter};
    });
  {/if}
{include file="shared/script_end.tpl"}
