{*
  Used in account.tpl and setup_account.tpl.
*}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
{assign var="is_setup_wizard" value="{if isset($is_setup_wizard)}TRUE{/if}"}
{assign var="placeholder" value="{if $is_setup_wizard}({t}Please Enter a New Password{/t}){else}({t}{$title_unchanged}{/t}){/if}"}
{include
  file="admin/components/reusable/form_input.tpl"
  name="password"
  label="{t}Change Password{/t}"
  placeholder="{$placeholder}"
  warning_hint=TRUE
  hint_class="caps-lock-warning"
  disable_autocapitalize=TRUE
  hint="{$capslock_warning}"
  remove_margin_top="{if $is_setup_wizard}TRUE{/if}"
}
{include
  file="admin/components/reusable/form_input.tpl"
  name="confirm_password"
  label="{t}Confirm New Password{/t}"
  placeholder="{$placeholder}"
  warning_hint=TRUE
  hint_class="caps-lock-warning"
  disable_autocapitalize=TRUE
  hint="{$capslock_warning}"
}
{include
  file="admin/components/reusable/form_input.tpl"
  name="password_hint"
  label="{t}Password Hint{/t}"
  value="{$password_hint}"
  placeholder="{t}None{/t}"
  required=FALSE
}

{include file="shared/script_start.tpl"}
  utilAdmin.revealCapsLockWarning('.caps-lock-warning');
{include file="shared/script_end.tpl"}
