{assign var="checkbox_array_name" value="wifi_networks_array[]"}
{assign var="default_option_value" value="default"}

<div class="form-inner-heading">
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE1E1;"
    title="{t}Remembered WiFi Networks{/t}"
  }
</div>
<div><label>{t}This device will try to connect to each of these networks when updating or sending statistics{/t}</label></div>
<br />
<div id="wifi-networks">
  {foreach from=$wifi_networks_array item=wifi_network}
    {include
      file="admin/components/settings/form_sortable_item_wifi_network.tpl"
      checkbox_value="{$wifi_network['network_id']}"
      checkbox_array_name="{$checkbox_array_name}"
      ssid="{$wifi_network['ssid']}"
      network_password="{$wifi_network['password']}"
    }
  {/foreach}
</div>
<br />
<div class="row">
  <div class="col-sm-9">
    <label class="hidden-xs display-inline" style="width: 150px;">{t}New WiFi Network{/t}:</label>
    <div class="select-dropdown-inline-not-xs" style="width: calc(100% - 150px);">
      {include
        file="admin/components/reusable/form_select.tpl"
        name="add_wifi_network"
        id="add-wifi-network-select"
        placeholder="+ {t}Add Network{/t}"
        default_option_text="{t}Custom Network{/t}"
        default_option_value="{$default_option_value}"
        remove_margin_top=TRUE
        show_placeholder_default=TRUE
      }
    </div>
  </div>
  <div class="col-sm-3">
    {include
      file="shared/raised_button.tpl"
      id="re-scan-button"
      icon="&#xE5D5;"
      title="{t}Re-Scan{/t}"
      class="btn-success re-scan-button"
    }
  </div>
</div>

{include file="shared/script_start.tpl"}
  initAdmin.init('setup_section_connect_wifi.tpl', {
    default_option_value: "{$default_option_value}",
    checkbox_array_name: "{$checkbox_array_name}",
    max_wifi_networks: "{$max_wifi_networks}",
    message_max_allowed: "{$message_max_allowed nofilter}",
  });
{include file="shared/script_end.tpl"}
