{*
  Template using the fineuploader plugin, to allow file uploads

  @author JP
  @param form_id The id of the form that contains information relevant to the uploaded items
*}

{extends file="admin/components/reusable/form_extend_accordion.tpl"}

{block name="hide_form"}TRUE{/block}
{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$step2_id}{/block}
{block name="form_id"}{$form_id}{/block}
{block name="form_icon"}&#xE2C6;{/block}
{block name="form_title"}{t}Step 2: Upload Files{/t}{/block}
{block name="hide_arrow"}TRUE{/block}
{block name="content"}

  <div class="col-sm-10 col-centered">
    <br />
    <div class="well">
      {$title_note}: {$message_help_file_upload_format nofilter}
    </div>
    {include
      file="admin/components/upload/fineuploader_upload.tpl"
      fineuploader_template_id="uploader-media-file-upload"
      is_media=TRUE
    }
  </div>
{/block}
