{*
  @assign reporting_email Email to send statistics to, which is set in admin
  settings
*}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
{include file="header_admin.tpl"}
{include file="admin/top_nav.tpl"}
{assign var="reporting_email_set" value="{if isset($reporting_email) && $reporting_email}TRUE{/if}"}


<div>
	{*
	<h1 class="admin-header"><i class="material-icons">&#xE24D;</i> {t}Stats Reports{/t}</h1>
  <hr />
	*}
	{include file="admin/components/reusable/page_title.tpl"}
	{include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_dashboard.tpl"
  }
  <div class="row">
    <div class="col-md-4">
      {include
        file="shared/raised_button.tpl"
        href="/admin/reports/dashboard_summary.csv.php"
        class="btn-success"
        title="{t}Download Stats{/t} (.csv)"
        icon="&#xE2C4;"
      }
    </div>
		<div class="col-md-4">
			{include
				file="shared/raised_button.tpl"
				id="button-email-stats"
				class="btn-success"
				title="{t}Email Stats{/t} (.csv)"
				icon="&#xE0BE;"
			}
		</div>
		<div class="col-md-4">
			{include
				file="shared/raised_button.tpl"
				id="delete-all-stats-button"
				class="btn-danger"
				title="{t}Delete All Stats{/t}"
				icon="&#xE92B;"
			}

			{* Delete stats form *}
      <form id="delete-all-stats-form" class="margin0 padding0" method="POST" action="/admin/dashboard.php" enctype="multipart/form-data">
				<input type="hidden" name="_method" value="DELETE" />
      </form>
		</div>
  </div>

  <h1 class="admin-header"><i class="material-icons">&#xE86A;</i> {t}Live Stats{/t}</h1>
  <ul class="nav nav-tabs">
	  <li class="active"><a data-toggle="tab" href="#wifi"><i class="material-icons">&#xE63E;</i> {t}WiFi{/t}</a></a></li>
	  <li><a data-toggle="tab" href="#sd"><i class="material-icons">&#xE1C2;</i> {t}SD & USB{/t}</a></a></li>
		<li><a data-toggle="tab" href="#bluetooth"><i class="material-icons">&#xE1A7;</i> {t}Bluetooth{/t}</a></a></li>
  </ul>
	<br />
  <div class="tab-content">
    <div id="wifi" class="tab-pane fade in active">
      {include file="admin/components/dashboard/wifi.tpl"}
    </div>
    <div id="bluetooth" class="tab-pane fade">
      {include file="admin/components/dashboard/bluetooth.tpl"}
    </div>
    <div id="sd" class="tab-pane fade">
      {include file="admin/components/dashboard/sd.tpl"}
    </div>
  </div>
</div>
<div class="text-attributions"><a href="/admin/attributions.php" class="text-decoration-none button-hover">View Attributions Page</a></div>

{include file="shared/script_start.tpl"}
	initAdmin.init("dashboard.tpl", {
		reporting_email_set: "{$reporting_email_set}",
		pulse_interval_ms: 2000,
		delete_popup_message: "{t}Are you sure you want to delete all of the WiFi, Bluetooth, and SD & USB Statistics?{/t}"
	});
{include file="shared/script_end.tpl"}

{include file="footer_admin.tpl"}
