{*
  Manage media page: add, remove, and edit current media.

  @author JP
  @param media_array
  @param images_array
*}
{assign var="should_show_more_button" value="{if $media_limit < $children_count}TRUE{/if}"}
{assign var="media_checkbox_array_name" value="media_item_checkboxes[]"}
{assign var="is_home_directory" value="{if $current_directory_id == $media_root_directory_file_id}TRUE{/if}"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{include file="header_admin.tpl"}

{* Hidden uploader for images *}
{include
  file="admin/components/upload/fineuploader_upload.tpl"
  is_dropdown_image_uploader=TRUE
}

{include
  file="admin/components/media/media_nav.tpl"
  id="media-nav"
  media_checkbox_array_name="media_item_checkboxes[]"
}
{include file="admin/top_nav.tpl"}
  {include file="admin/components/reusable/page_title.tpl"}
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_media.tpl"
  }
  {include
    file="admin/components/media/media_stats.tpl"
  	storage_used_gb=$storage_used_gb
  	storage_used_pct=$storage_used_pct
  	storage_free_gb=$storage_free_gb
  	storage_free_pct=$storage_free_pct
  }
  <hr class="hr-equal"/>
	{include
		file="admin/components/media/media_breadcrumbs.tpl"
		title="{t}Current Folder: {/t}"
	}
  {*
    <div class="row">
    <div class="{if $is_home_directory}col-sm-3{else}col-sm-4{/if}">
      {include
        file="shared/raised_button.tpl"
        href="/admin/manage/upload.php?id={$current_directory_id}"
        class="btn-success"
        icon="&#xE2C6;"
        title="{t}Upload Files{/t}"
      }
    </div>
    <div class="{if $is_home_directory}col-sm-3{else}col-sm-4{/if}">
      {include
        file="shared/raised_button.tpl"
        id="new-folder-button"
        class="btn-success"
        icon="&#xE2CC;"
        title="{t}New Folder{/t}"
      }
      <!-- New folder form -->
      <form id="create-folder-form" class="margin0 padding0" method="POST" action="/admin/manage/media_forms/create_new_directory.php">
        <input type="hidden" name="directory" value="{$current_directory_id}" />
      </form>
    </div>
    {if $is_home_directory}
      <div class="col-sm-4">
        {include
          file="shared/raised_button.tpl"
          id="new-language-folder-button"
          class="btn-success"
          icon="&#xE8E2;"
          title="{t}New Language Folder{/t}"
        }
      </div>
    {/if}
    <div class="{if $is_home_directory}col-sm-3{else}col-sm-4{/if}">
      {include
        file="shared/raised_button.tpl"
        href="/admin-v/downloader?fromLink=manage-media"
        class="btn-success"
        icon="&#xE2C0;"
        title="{t}Download New Media Online{/t}"
      }
    </div>
  </div>
  *}
  <div class="row">
    <div class="{if $is_home_directory}col-sm-4{else}col-sm-6{/if}">
      {include
        file="shared/raised_button.tpl"
        href="/admin/manage/upload.php?id={$current_directory_id}"
        class="btn-success"
        icon="&#xE2C6;"
        title="{t}Upload Files{/t}"
      }
    </div>
    <div class="{if $is_home_directory}col-sm-4{else}col-sm-6{/if}">
      {include
        file="shared/raised_button.tpl"
        id="new-folder-button"
        class="btn-success"
        icon="&#xE2CC;"
        title="{t}New Folder{/t}"
      }
      {* New folder form *}
      <form id="create-folder-form" class="margin0 padding0" method="POST" action="/admin/manage/media_forms/create_new_directory.php">
        <input type="hidden" name="directory" value="{$current_directory_id}" />
      </form>
    </div>
    {if $is_home_directory}
      <div class="col-sm-4">
        {include
          file="shared/raised_button.tpl"
          id="new-language-folder-button"
          class="btn-success"
          icon="&#xE8E2;"
          title="{t}New Language Folder{/t}"
        }
      </div>
    {/if}
  </div>
  <hr class="hr-equal"/>
  <div>
    <div id="media-foreach-wrapper">
      {if isset($language_directories_array)}
        <br />
        <h3 class="margin-top-0"><i class="material-icons">&#xE8E2;</i> {t}Language Folders{/t}</h3>
        <hr class="hr" />
        <div class="well">
          <div class="label-text-margin-0">{t}Files and folders placed into a language folder are considered to be in that language{/t}</div>
        </div>
        {include
          file="admin/components/media/media_foreach.tpl"
          media_checkbox_array_name="{$media_checkbox_array_name}"
          media_array=$language_directories_array
        }
        {if count($media_array) > 0}
          <h3><i class="material-icons">&#xE064;</i> {t}Other Media{/t}</h3>
          <hr class="hr" />
          <div class="well">
            <div class="label-text-margin-0">{t}Media and folders below have not been moved into a language folder{/t}</div>
          </div>
        {/if}
      {/if}
      {include
        file="admin/components/media/media_foreach.tpl"
        media_checkbox_array_name="{$media_checkbox_array_name}"
      }
    </div>

    {if $should_show_more_button}
      {* Value is current media offset *}
      <div id="show-more-media-button-wrapper">
        <div class="col-sm-6 col-centered">
          {include
            file="shared/raised_button.tpl"
            id="show-more-media-button"
            class="btn-success pulse"
            icon="&#xE313;"
            value="0"
            title="{t}Show More Media{/t}"
            icon_after_button=TRUE
          }
        </div>
        <br />
      </div>
    {/if}
  </div>
  <div id="media-nav-buttom-buffer" class="media-nav-bottom-buffer"></div>

{include file="footer_admin.tpl"}

<script>
  initAdmin.init("media.tpl", {
    heading: "{t}New Folder{/t}",
    current_directory_title: "{$current_directory_title}",
    current_directory_id: "{$current_directory_id}",
    message: "{t}Create a new folder inside %s{/t}",
    confirm_button_id: "input-popup-confirm-button",
    input_id: "input-popup-input",
    placeholder: "{t}New Folder Name{/t}",
    confirm_text: "{t}Create{/t}",
    create_folder_form_id: "create-folder-form",
    children_count: "{$children_count}",
    should_show_more_button: "{$should_show_more_button}",
    media_limit: "{$media_limit}",
    media_checkbox_array_name: "{$media_checkbox_array_name}"
  });
</script>
