{*
  Page where users can upload files for the media manager.

  @author JP
*}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{assign var="form_id" value="form-upload-media"}
{assign var="select_directory_id" value="upload-directory"}
{assign var="step1_click" value="step1-click"}
{assign var="step2_click" value="step2-click"}
{assign var="step3_click" value="step3-click"}
{assign var="group_class" value="{$form_id}-collapse"}

{include file="header_admin.tpl"}
{include file="admin/top_nav.tpl"}

{include file="admin/components/reusable/page_title.tpl"}
{include
  file="admin/components/help_messages/page_help_message.tpl"
  help_template="admin/components/help_messages/help_upload.tpl"
}
{include
  file="admin/components/upload/upload_media_form.tpl"
  form_id="{$form_id}"
  group_class="{$group_class}"
  select_directory_id="{$select_directory_id}"
  step1_id="{$step1_click}"
  step2_id="{$step2_click}"
}
{include
  file="admin/components/upload/file_upload.tpl"
  step1_id="{$step1_click}"
  step2_id="{$step2_click}"
  step3_id="{$step3_click}"
  form_id="{$form_id}"
  group_class="{$group_class}"
  select_directory_id="{$select_directory_id}"
  uploaded_files_id="uploaded-files-collapse"
}
{include
  file="admin/components/upload/uploaded_files.tpl"
  step1_id="{$step1_click}"
  step2_id="{$step2_click}"
  step3_id="{$step3_click}"
  form_id="{$form_id}"
  group_class="{$group_class}"
  select_directory_id="{$select_directory_id}"
  uploaded_files_id="uploaded-files-collapse"
}
<div class="uploader-footer-buffer"></div>

{include file="footer_admin.tpl"}
