{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
{assign var="message_warning_drive_delete_string" value="<span class='color-danger'>{t}WARNING: All of the content on the inserted drive will be deleted.{/t}</span>"}
{assign var="message_warning_drive_delete" value="{$message_warning_drive_delete_string nofilter}"}
{assign var="button_group_class" value="drives-button-group"}
{assign var="content_group_class" value="drives-content-group"}
{assign var="toggle_group_cancel_class" value="toggle-group-cancel"}
{assign var="toggle_group_okay_class" value="toggle-group-okay"}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE53B;"
    title="{$page_title}"
    remove_margin_top=true
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_drives.tpl"
    is_form=TRUE
    class_margin_bottom="margin0"
  }
{/block}
{block name="form_content"}
  <div class="row hidden-xs"></div>
  <div class="row padding-15">
    {include file="admin/components/settings/drives/toggle_group_mirror_drive.tpl"}
    {include file="admin/components/settings/drives/toggle_group_mirror_drive_run.tpl"}
    {include file="admin/components/settings/drives/toggle_group_update_drive.tpl"}
  </div>
{/block}
{block name="below_footer"}
  <script>
    initAdmin.init("drives.tpl");
  </script>
{/block}
