{*
  Page: Account settings.
*}
{extends file="admin/components/reusable/form_extend.tpl"}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE8E2;"
    title="{$page_title}"
    remove_margin_top=TRUE
  }
  <div class="well">
    <div class="label-text-margin-0">
      <div>{t}This page allows you to change the admin settings language.{/t}</div>
    </div>
  </div>
{/block}
{block name="form_content"}
  {* Also used for setup wizard *}
  <form id="language-form" method="POST" action="/admin/settings/language.php">
    {include file="admin/components/reusable/form_submit_footer.tpl"}
    {include file="admin/components/settings/setup_section_language.tpl"}
  </form>
  <br />
{/block}
{block name="form_footer"}<div class="form-margin-footer"></div>{/block}
{block name="below_footer"}
  <script>
    ajax.submitAjaxForm('#language-form', function() {
      utilAdmin.refreshPageSuccess();
    });
  </script>
{/block}
