{if $is_dev_env}
  <!-- SHARED -->
  <script src="/js/01_shared/01_jquery-2.2.4.min.js"></script>
  <script src="/js/01_shared/02_bootstrap.min.js"></script>
  <script src="/js/01_shared/03_material.min.js"></script>
  <script src='/js/01_shared/05_application.shared.js'></script>

  <!-- ADMIN -->
  <script src="/js/03_admin/01_select2.full.min.js"></script> <!-- Dropdown select menus -->
  <script src="/js/03_admin/02_Sortable.js"></script> <!-- Sortable Lists -->
  <script src="/js/03_admin/03_spectrum.js"></script> <!-- Spectrum only runs on browsers that don't support input type=color, like ios and Mac Safari -->
  <script src='/js/03_admin/04_application.admin.js'></script>
{else}
  {* NOTE: Run combineJSAndCSS.sh *}
  <script src="/js/application.admin.min.js?{$hash_admin_js}"></script>
{/if}

{* Fineuploader: currently not compressed, due to use of images in directory *}
<script src="/vendor/fine_uploader/fine-uploader.min.js"></script>

{* Necessary to initialize material design bootstrap *}
<script>init.materialDesign();</script>

{* If form_success variable is set, show success message *}
{if isset($form_success) && $form_success}
  <script>
    ajax.appendSuccessMessage();
  </script>
{/if}

{* Make a popup to confirm leave page appear if users change a form on a page *}
<script>
  utilAdmin.userConfirmBackOnFormChange();
</script>