{*
  Page: main followup form page, where user fills out the form.

  @author JP
  @assign followup_form Settings array for followup form
  @assign followup_form_fields_array
  @assign email_message_array Assoc. array with 'email', 'subject', and 'body'
  @assign form_settings (params)
*}

{include file="header.tpl"}
{include
  file="user/folder_nav.tpl"
  title=""
}
<br />
  <div class="col-xs-12 col-sm-10 col-md-8 col-centered color-dark-gray">
    <form id="followup-form" method="POST" action="form.php">
      <div class="col-xs-12 col-centered panel panel-default panel-form-padding padding-bottom-10">
        {include
          file="admin/components/reusable/form_title.tpl"
          icon="{$followup_form['icon']}"
          title="{$followup_form['title']}"
          remove_margin_top=TRUE
        }
        {if $followup_form['description']}
          <p class="wrap-long-words">
            {$followup_form['description']}
          </p>
        {/if}
        <div class="col-sm-10 padding0 col-centered">
          {foreach from=$followup_form_fields_array item=field}
            {* Hidden input to get field IDs *}
            <input type="hidden" name="field_id_array[]" value="{$field['field_id']}" />
            {* Hidden input to get field title *}
            <input type="hidden" name="{$field['field_id']}_title" value="{$field['title']}" />
            {include
              file="admin/components/reusable/{if $field['type'] === 'short'}form_input{else}form_textarea{/if}.tpl"
              input_class="form-inputs"
              id="form-input-{$field['field_id']}"
              name="{$field['field_id']}"
              label="{$field['title']}"
              icon="{$field['icon']}"
            }
          {/foreach}
        </div>
        <div class="row">
          <div class="col-xs-6">
            {include
              file="shared/raised_button.tpl"
              id="cancel-button"
              class="btn-danger"
              icon="&#xE5C9;"
              title="{$followup_form['cancel_button_title']}"
            }
          </div>
          <div class="col-xs-6">
            {include
              file="shared/raised_button.tpl"
              id="submit-button"
              class="btn-success"
              icon="&#xE5CA;"
              title="{$followup_form['submit_button_title']}"
              submit=TRUE
            }
          </div>
        </div>
      </div>
    </form>
  </div>
<br />


{include file="footer.tpl"}
<script>
  initUser.init("form.tpl", {
    blink: "{$blink}"
  });
</script>
