{*
  Page: main user view with media, greeting panel, featured media, etc.

  @author JP
  @assign title Title of folder, if in a folder
  @assign is_root
  @assign greeting_show_before_featured Boolean
*}
{include file="header.tpl"}

  {* Followup form foot - NOTE: included at top to avoid blink. *}
  {include file="user/components/followup_form_banner.tpl"}

  {if $is_root || $is_language_directory} {* Main, root directory *}
    {include file="user/home_nav.tpl"}
    {if !empty($language_directories_array)}
      {include file="user/languages_bar.tpl"}
    {/if}

    {* Greeting panel if before featured *}
    {include file="user/components/index/greeting_panel_wrapper.tpl"}

    {* Featured media *}
    {if $featured_media_array}
      {include file="user/components/index/featured_media_wrapper.tpl"}
    {/if}
  {else} {* Inside folder *}
    {include
      file="user/folder_nav.tpl"
      title=$title
      directory=TRUE
    }
  {/if}

  {* Main home media *}
  {include file="user/components/index/main_home_media_wrapper.tpl"}

{include file="footer.tpl"}

<script>
  initUser.init("index.tpl", {});
</script>
