{*
  Cancel and confirm footer for popups.

  @param $cancel_text
  @param $confirm_text
*}
{assign var="hide_cancel" value="{if isset($hide_cancel) && $hide_cancel}TRUE{/if}"}

<div class="row">
  <div class="col-xs-12">
    {if !$hide_cancel}
      <div class="col-xs-6">
        {include
          file="shared/raised_button.tpl"
          id="{if isset($cancel_button_id) && $cancel_button_id}{$cancel_button_id}{/if}"
          class="btn-danger popup-button-cancel"
          title="{if isset($cancel_text) && $cancel_text}{$confirm_text}{else}{t}Cancel{/t}{/if}"
        }
      </div>
    {/if}
    <div class="col-xs-6 {if $hide_cancel}col-centered{/if}">
      {include
        file="shared/raised_button.tpl"
        id="{$confirm_button_id}"
        class="btn-success"
        title="{if isset($confirm_text) && $confirm_text}{$confirm_text}{else}{t}Okay{/t}{/if}"
      }
    </div>
  </div>
</div>
