{*
  Confirm action popup, with cancel and confirm.

  @author JP
  @param confirm_text
  @param ajax
*}

{extends file="shared/popup_extend.tpl"}

{if !isset($confirm_button_id)}
  {assign var="confirm_button_id" value="popup-button-confirm"}
{/if}
{block name="remove_exit"}{if isset($remove_exit)}TRUE{/if}{/block}

{block name="heading"}{if isset($heading)}{$heading nofilter}{else}{t}WARNING{/t}{/if}{/block}
{block name="body"}
  {if isset($image)}
    <div class="text-align-center">
      <image src="{$image}" class="{if isset($image_class)}{$image_class}{/if}" />
      {$message nofilter}
    </div>
  {else}
    {$message nofilter}
  {/if}
{/block}
{block name="footer"}
  {include
    file="shared/popup_cancel_confirm.tpl"
    confirm_text="{if isset($confirm_text)}{$confirm_text}{/if}"
    cancel_text="{if isset($cancel_text)}{$cancel_text}{/if}"
    cancel_button_id="{if isset($cancel_button_id)}{$cancel_button_id}{/if}"
    confirm_button_id="{if isset($confirm_button_id)}{$confirm_button_id}{/if}"
    hide_cancel="{if isset($hide_cancel)}TRUE{/if}"
  }
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    util.preventBodyScroll();
    sharedPopup.hideOnClick('.popup-button-cancel');
    sharedPopup.hideOnClick('#{$confirm_button_id}');
  {include file="shared/script_end.tpl"}
{/block}
