{*
  Popup allowing text input.

  @author JP
  @param heading
  @param message
  @param confirm_text
  @param cancel_text
  @param confirm_button_id
  @param input_id HTML id of text input
  @param ajax
*}
{extends file="shared/popup_cancel_confirm_extend.tpl"}

{block name="heading"}{$heading}{/block}
{block name="message"}{$message}{/block}
{block name="confirm_text"}{if isset($confirm_text)}{$confirm_text}{/if}{/block}
{block name="cancel_text"}{if isset($cancel_text)}{$cancel_text}{/if}{/block}
{block name="confirm_button_id"}{$confirm_button_id}{/block}
{block name="content"}
  {include
    file="admin/components/reusable/form_input.tpl"
    id="{$input_id}"
    name="popup_input"
    value="{if isset($value)}{$value}{/if}"
    placeholder="{if isset($placeholder)}{$placeholder}{/if}"
    remove_margin_top=TRUE
  }
{/block}
