{*
  This is used anywhere a template must be initialized with JS. It
  has an event listener, which makes sure JS is loaded before firing the script.
  If the template containing this script is loaded with ajax, the listener must
  be disabled so that the script runs.

  @param ajax If true, event listener to wait for JS load will not run, allowing
  script to run, instead of waiting indefinately
*}
<script>
  {if !isset($ajax) || !($ajax)}
  document.addEventListener("DOMContentLoaded", function(e) {
  {/if}
