{*
  Floating banner / button for the followup form.

  @author JP
  @assign followup_form
  @assign form_settings (params)
*}

{if $form_followup_enabled}
  <a href="/form.php" class="color-inherit clickable-pointer">
	{* Banner *}
    <span class="hidden-md hidden-lg">
      <div class="followup-form-button followup-form-button-banner user-theme-background-button-1 wrap-long-words ">
        <div class="text-center">
          {if $followup_form['icon']}
            <i class="material-icons font-size-30">{$followup_form['icon']}</i>
          {/if}
            <span class="font-size-20 vertical-align-middle">{$followup_form['button_title']}</span>
        </div>
      </div>
    </span>
	{* Tab *}
    <span class="hidden-xs hidden-sm">
      <div class="followup-form-button followup-form-button-tab user-theme-background-button-1 wrap-long-words">
        <div class="text-center">
          {if $followup_form['icon']}
            <i class="material-icons font-size-30">{$followup_form['icon']}</i>
          {/if}
          <span class="font-size-20 vertical-align-middle">{$followup_form['button_title']}</span>
        </div>
      </div>
    </span>
  </a>
{/if}
