{*
  Greeting panel wrapper.

  @author JP
  @param show Boolean, show if true
*}
{*
  If we are inside a language directory, translate media data from $current_directory
  so it can be used as greeting data
*}
{if $is_language_directory}
  {assign var="greeting_mode_image_src" value="{$current_directory['image_id']}"}
  {assign var="greeting_mode_media_file" value=$promoted_media_file}
  {assign var="greeting_mode" value="{if isset($greeting_mode_media_file)}media{elseif $greeting_mode_image_src != 0}image{/if}"}
  {assign var="greeting_title" value="{$current_directory['greeting_title']}"}
  {assign var="greeting_text" value="{$current_directory['description']}"}

  {if $greeting_text == '' && $greeting_title == '' && $greeting_mode_image_src == 0 && !isset($greeting_mode_media_file)}
    {assign var="greeting_enabled" value=FALSE}
  {else}
    {assign var="greeting_enabled" value=TRUE}
  {/if}

{/if}
{if $greeting_enabled}
  {include
    file="user/components/reusable/panel_background.tpl"
    class="user-theme-background-greeting"
  }
    {include file="user/greeting_panel.tpl"}
  {include file="user/components/reusable/panel_background_close.tpl"}
{/if}
