{*
  Foreach loop that prints out the media tiles and folder sliders in index.tpl.
  Template is also loaded with ajax when users click on load more.

  @param general_disable_sliders Boolean
  @param media_array
  @param current_file
*}

{foreach from=$media_array item=media_item}
    {if $media_item['mime_part1'] == 'directory' && !$general_disable_sliders} {* Media is a directory *}
      {include
        file="user/folder_slider.tpl"
        media_item=$media_item
        link="{$current_file}?id={$media_item['file_id']}"
      }
    {else} {* Media is a file, or sliders are disabled *}
      {include
        file="user/components/media_icon.tpl"
        media_item=$media_item
        flow=TRUE
      }
    {/if}
{/foreach}
