{assign var="stream_supported" value="{if $media_item['mime_part2'] == 'mp4' || $media_item['mime_part2'] == 'ogg' || $media_item['mime_part2'] == 'webm' || $media_item['mime_part2'] == 'mpeg' || $media_item['mime_part2'] == 'wav' || $media_item['mime_part2'] == 'aac' || $media_item['mime_part2'] == 'aacp' || $media_item['mime_part2'] == 'flac'}TRUE{/if}"}
{assign var="image" value="{$media_item['image_id']}.jpeg?cache={$serial_number}"} {* NOTE: $image is also set in media_details.tpl *}
{assign var="media_item_src" value="/file/{$media_item['file_id']}"}
{assign var="has_image" value="{if $media_item['image_id'] != 0}TRUE{/if}"}
{assign var="image_src_16x9" value="/images/user_images/16x9/{$image}"}
{assign var="is_video" value="{if $media_item['mime_part1'] == 'video'}TRUE{/if}"}
{assign var="is_apk" value=""} {* TODO: set value="{if $media_item['mime_part2'] == 'vnd.android.package-archive'}TRUE{/if}" when updater size issue is fixed *}
{assign var="download_button_margin" value="{if isset($download_button_margin)}TRUE{/if}"}

<div class="row margin0">
  <div class="col-xs-12 padding0 {if $is_video}background-color-black{else}user-theme-background-secondary{/if}">
    {if $media_item['mime_part1'] != 'image'}
      {if $is_video && $stream_supported}
        <div class="large-image-placeholder background-color-black"></div>
      {else}
        <div class="{if $media_item['mime_part1'] == 'audio'}media-details-stream-class clickable-pointer{/if}">
          <div id="media-details-image" class="{if !($has_image)}large-image-placeholder{/if} user-theme-background-secondary">
            {include
              file="user/components/reusable/circle_button_icon.tpl"
              mime_part1=$media_item['mime_part1']
              mime_part2=$media_item['mime_part2']
              icon_class="icon-shadow media-icon-file-type-icon {if $media_item['mime_part1'] == 'audio'} media-icon-file-type-icon-details-audio {/if}"
              is_media_icon=TRUE
            }
            {* is_media_icon=FALSE *}
            {if $has_image}
              <img class="scalable-image" src="{$image_src_16x9}" />
            {/if}
          </div>
        </div>
      {/if}
    {/if}

    {if $is_video && $stream_supported}
      <video id="html-video" class="scalable-image media-details-video-player" {if ($has_image)}poster="{$image_src_16x9}"{/if} controls controlsList="nodownload">
        <source src="{$media_item_src}" type="{$media_item['mime_part1']}/{$media_item['mime_part2']}">
      </video>
    {elseif $media_item['mime_part1'] == 'audio' && $stream_supported}
      <audio id="html-audio" class="media-details-audio-player {if $is_safari}media-details-audio-player-safari{else}media-details-audio-player-chrome{/if}" {if ($has_image)}poster="{$image_src_16x9}"{/if} controls controlsList="nodownload">
        <source src="{$media_item_src}" type="{$media_item['mime_part1']}/{$media_item['mime_part2']}">
      </audio>
    {elseif $media_item['mime_part1'] == 'image'}
      <div id="media-details-image" class="width-height-100 large-image-placeholder background-color-black background-contain" style="background-image: url('{$media_item_src}')"></div>
    {/if}
  </div>
</div>

{if $download_button_margin}
  <div class="margin-top-10"></div>
{/if}

<div>
  {* class="media-modal-buttons user-theme-background-nav-header" *}
  <div class="user-theme-background-nav-header">
    <div class="row margin0">
      <div class="col-xs-12 padding0">
        {include
          file="shared/raised_button.tpl"
          id="media-details-download"
          class="user-theme-background-button-1 media-details-button {if !$download_button_margin}border-radius-0{/if}"
          icon="&#xE2C4;"
          title=""
        }
      </div>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  initUser.init("media_details_content.tpl", {
    file_id: "{$media_item['file_id']}",
    file_type: "{$media_item['mime_part1']}",
    html_video_id: "html-video",
    html_audio_id: "html-audio",
    mime_part2: "{$media_item['mime_part2']}",
    autoplay: "{if isset($autoplay)}{$autoplay}{/if}",
    stream_supported: "{$stream_supported}",
    is_apk: "{$is_apk}",
  });
{include file="shared/script_end.tpl"}
