{*
  Featured media section, which can display as a slider, or can flow down the
  page. Uses Slick Slider plugin.

  @author JP
  @assign featured_media_array Array of featured media associative arrays
  @param slider If true, will be formatted as a slider
*}
{assign var="show_slider" value="{if !$slider_disabled && count($featured_media_array) !== 0}TRUE{/if}"}

{if !$show_slider}
<div>
{else}
<div id="featured-media-slider">
{/if}
  {foreach from=$featured_media_array item=media_item}
    <div {if !$show_slider} class="slider-disabled-padding" {/if}>
    {include
      file="user/featured_media_item.tpl"
      media_item=$media_item
      id_prefix="featured"
    }
    </div>
  {/foreach}
</div>

{if $show_slider}
  {include file="shared/script_start.tpl"}
    slider.init("#featured-media-slider", "{$featured_slider_autoplay_speed}");
  {include file="shared/script_end.tpl"}
{else}
  <br />
{/if}
