{*
  Nav bar for folders.

  @author JP
  @param title
  @param href Link to visit on back button click
  @param children_count
  @param directory Boolean: if true, button to download folder will be appear
*}
<div class="folder-nav user-theme-background-media-icon">
  <div class="padding-15">
    <div class="folder-nav-arrow-container">
      {if isset($href)}
      <a href="{$href}">
      {/if}
        <i id="folder-nav-back-arrow" class="material-icons btn">&#xE5C4;</i>
      {if isset($href)}
      </a>
      {/if}
    </div>
    <div class="padding0 wrap-long-words folder-nav-title">
      <h4 class="modal-title padding-right-60">{$title} {if isset($children_count)}({$children_count}){/if}</h4>
    </div>
  </div>
</div>

{if !isset($href)}
  {include file="shared/script_start.tpl"}
    $("#folder-nav-back-arrow").on('click', function() {
      util.goBack();
    });
  {include file="shared/script_end.tpl"}
{/if}
