'''
Created on Oct 24, 2014

@author: root
'''

# logging
import rwo_logging
_rwo_list_log = rwo_logging.RwoLogger()
def setLogger(logger):
    _rwo_list_log.set_logger(logger)


def getItemAfterObjectInList(anObject, aList):
    '''
    returns None if it can't get the next object, or find the item
    '''
    global rwo_list_log
    nextObject = None
    try:
        if (aList != None) and (len(aList) > 0) and (anObject in aList):
            index = aList.index(anObject)
            if (type(index) == int) and (index < (len(aList) - 1)):
                nextObject = aList[(index + 1)]
    except Exception as e:
        message = "Error getting object after object in list \
        Exception: " + str(e) + "object:" + str(anObject) +\
        "list:" + str(aList) 
        _rwo_list_log.exception(message)
        nextObject = None
    return nextObject

