#!/bin/bash

echo "this script is designed to prepare the current LightStream image for a master image relase"
echo "DO NOT run this script on your development machine (eg your pc)"

read -p "press ENTER to contine..."

systemctl stop rwo_wifi@wlan0Ap nginx php-fpm lsbt

cat /dev/null > /var/log/lightstream/lsbt.log
cat /dev/null > /var/log/lightstream/lightstream.log
cat /dev/null > /var/log/lightstream/satellite.log
cat /dev/null > /var/log/lightstream/incron.log

cat /dev/null > /var/log/nginx/error.log
cat /dev/null > /var/log/nginx/access.log

echo "0" > /var/log/lightstream/partition_status.txt

rwo_sqlite3.sh "/etc/lightstream/data/lswifi.sqlite3" "DELETE FROM wifi_interaction_stats"
rwo_sqlite3.sh "/etc/lightstream/data/lssd.sqlite3" "DELETE FROM sd_interaction_stats"
rwo_sqlite3.sh "/etc/lightstream/data/lsbt.sqlite3" "DELETE FROM bluetooth_interaction_stats"
rwo_sqlite3.sh "/etc/lightstream/data/satellite.sqlite3" "DELETE FROM satellite_interaction_stats"

# clear out the wifi ssid so that a random one can be assigned at the next boot
rwo_sqlite3.sh "/etc/lightstream/data/lswifi.sqlite3" "INSERT or REPLACE into settings (key, value) VALUES ('ssid', '')"
