'''
Created on Oct 15, 2014

@author: root
'''
import subprocess
import rwo_logging

OUTPUT_KEY = 'Output'
PROCESS_KEY = 'Process'

# logging
g__rwoLog_obexpush = rwo_logging.RwoLogger()
def setLogger(logger):
    g__rwoLog_obexpush.set_logger(logger)

# opens up a subprocess and returns the process
def openSubprocess(commandWithOptionsList):
    
    p = None
    try:
        g__rwoLog_obexpush.debug("Opening Subprocess:" + str(commandWithOptionsList))
        p = subprocess.Popen(commandWithOptionsList, stdout=subprocess.PIPE , stderr=subprocess.PIPE) 
    except Exception as e:
        p = None
        message = "__subprocessOpen error Exception : " + e.message +\
        "when trying to openSubprocess subprocess:" + str(commandWithOptionsList)
        g__rwoLog_obexpush.exception(message)
    
    return p

# opens up the subprocess and waits for it to finish 
# and the returns the process returns the process, as well as the output tuple (stdout, stderr)
def openAndCommunicate(commandWithOptionsList):
    
    out = None
    p = None
    try:
        g__rwoLog_obexpush.debug("__subprocessOpenAndCommunicate:" + str(commandWithOptionsList))
        p = openSubprocess(commandWithOptionsList)
        out = p.communicate()
        #p.kill()
    except Exception as e:
        p = None
        message = "__subprocessOpenAndCommunicate error Exception: " + e.message +\
        "when trying to communicate subprocess:" + str(commandWithOptionsList)
        g__rwoLog_obexpush.exception(message)
    
    return {PROCESS_KEY: p, OUTPUT_KEY: out}



