#!/bin/bash
# Select the proper hostapd binary, and configuration file to run
# prioritize with the most preferable adapter chipsets at the top

# Include logging to log stderr and stdout to specific file
. "/usr/bin/rwo_includeLogging.sh"
. "/usr/bin/rwo_includeHelpers.sh"
. "/usr/bin/rwo_includeLeds.sh"

function testCurrentAndVoltageIfFileExists {
	command
}

################## MAIN #######################
hwPlatform=$(/usr/bin/rwo_system.sh getHwPlatform)

# First argument call
helperCallFirstArgIfFunctionAndExit $@

# if it did not exit above, lets assume you want to run hostapd
# systemd sends a SIGTERM before exiting
trap '_onExit' EXIT INT HUP TERM
