<?php
/*
  Used in media_edit.php and add_video_thumbnail.php
*/
use \Renew\Validator;

function addImageThumbnail($fileId) {
  global $validator;
  global $dbManagerMedia;

  // Add thumbnail
  $dbManagerMedia->openDb();
    if(!$dbManagerMedia->imagesAddThumbnailForVideoWithId($fileId, TRUE)) {
      $validator->addFormError('', Validator::ERR_THUMBNAIL_FAILED);
    }
  $dbManagerMedia->closeDb();

  // Get Image ID
  $imageId = FALSE;
  if ($validator->formErrorsIsEmpty()) {
    $dbManagerMedia->openDb();
      $image = $dbManagerMedia->imagesGetImageFromMediaFileId($fileId);
    $dbManagerMedia->closeDb();
    if ($image !== FALSE) {
      $imageId = $image['image_id'];
    }
  }
  return $imageId;
}
