<?php
require_once("Renew" . DS . "DbManagerMedia.php");
use \Renew\Validator;
use \Renew\DbManagerMedia;

function validateLanguageIso() {
  global $validator, $_POST;

  if (Validator::formatCheckboxBoolean(@$_POST['custom_language_name'])) {
    $languageIso = DbManagerMedia::MEDIA_LANGUAGE_ISO_CUSTOM_LANGUAGE_NAME;
  } else {
    // Language ISO dropdown
    $languageIso = $_POST['language_iso'];
    $validator->validateNotEmpty($languageIso, _('Please select a language from the dropdown, or click language unavailable'));
  }
  return $languageIso;
}
