<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\DbManagerWifi as DbManagerWifi;
use \Renew\Validator as Validator;

define('RESPONSES_LIMIT', 30);

$validator = new Validator();

if (isset($_POST, $_POST['ajax'])) {

  if ($_POST['_method'] === 'DELETE') { // Delete All Responses
    $dbManagerWifi->openDb();
      if (isset($_POST['delete_all'])) {
        $success = $dbManagerWifi->formResponsesDeleteAll();
      } else {
        $selectedArray = $_POST['selected_array'];
        $success = $dbManagerWifi->formResponsesDeleteResponsesAndDataWithIdsArray($selectedArray);
      }
      if ($success === FALSE) {
        $validator->addFormErrorString($adminErrorMessages['ERR_DELETE_FAILED']);
      }
    $dbManagerWifi->closeDb();
  } else if ($_POST['_method'] === 'GET') { // Ajax new responses
    $offset = $_POST['offset'];

    $dbManagerWifi->openDb();
      $responsesArray = $dbManagerWifi->formResponsesGetFormattedResponsesForFormId(DbManagerWifi::FOLLOWUP_FORM_ID, FALSE, $offset, RESPONSES_LIMIT);
    $dbManagerWifi->closeDb();

    $t->assign('ajax', TRUE);
    $t->assign('responses_array', $responsesArray);
    $t->display('admin/components/followup_form/followup_form_responses_foreach.tpl');
    exit();
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}

$dbManagerWifi->openDb();
  $responsesTotalCount = $dbManagerWifi->formResponsesGetCount(DbManagerWifi::FOLLOWUP_FORM_ID);
  $responsesArray = $dbManagerWifi->formResponsesGetFormattedResponsesForFormId(DbManagerWifi::FOLLOWUP_FORM_ID, FALSE, 0, RESPONSES_LIMIT);
  $reportingEmail = $dbManagerWifi->settingsGetValueForKey('reporting_email');
$dbManagerWifi->closeDb();

$t->assign('responses_limit', RESPONSES_LIMIT);
$t->assign('responses_total_count', $responsesTotalCount);
$t->assign('reporting_email', $reportingEmail);
$t->assign('responses_array', $responsesArray);
$t->assign("page_title", _('Follow-up Form Responses'));
$t->assign('current_page', 'manage');
$t->assign('current_manage', 'followup_form_responses');
templateDisplayPageAdmin('admin' . DS . 'manage' . DS . 'followup_form' . DS . 'responses.tpl');
