<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator;
use \Renew\DbManagerWifi;

$validator = new Validator();

if (isset($_POST, $_POST['ajax'])) {
  if (isset($_POST['_method'])) {
    $method = $_POST['_method'];
    if ($method === 'DELETE') {
      $dbManagerWifi->openDb();
        if (!$dbManagerWifi->settingsRemoveCurrentGeneralLogo(CUSTOM_LOGO_DIR)
         || !$dbManagerWifi->settingsSetKeyValue('general_logo', '')
         || !$dbManagerWifi->settingsSetKeyValue('general_logo_mode', DbManagerWifi::GENERAL_LOGO_MODE_DEFAULT)) {
          $validator->addFormErrorString($adminErrorMessages['ERR_DELETE_FAILED']);
        }
      $dbManagerWifi->closeDB();
    }

    echo $validator->ajaxFormResponse();
    exit();
  }

  $tempFilePathAbs = DOC_ROOT . $_POST['temp_file_path']; // Starts with '/'

  // Validate image
  $validator->validateImage($tempFilePathAbs, '');

  // Convert, move, and add to db
  if ($validator->formErrorsIsEmpty()) {
    $dbManagerWifi->openDb();
      if(!$dbManagerWifi->settingsSetGeneralLogo($tempFilePathAbs, CUSTOM_LOGO_DIR)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerWifi->closeDb();
  }

  // TODO do we need to do this?
  // Remove empty outer folder created by fineuploader
  rmdir(dirname($tempFilePathAbs));

  $imgSrc = '';
  if ($validator->formErrorsIsEmpty()) {
    $dbManagerWifi->openDb();
      $imageName = $dbManagerWifi->settingsGetValueForKey('general_logo');
    $dbManagerWifi->closeDb();
    $imgSrc = CUSTOM_LOGO_DIR_REL . DS . $imageName;
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse($imgSrc);
  exit();
}
