<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerMedia.php");
use \Renew\DbManagerMedia;

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

/*
  Called by JS to set file_name and title fields when a new language is selected
  in the dropdown bar.
*/
if (isset($_POST, $_POST['ajax'])) {
  $languageIso = $_POST['language_iso'];

  $dbManagerMedia->openDb();
    $language = $dbManagerMedia->languagesGetWithIso($languageIso);
  $dbManagerMedia->closeDb();

  $title = $language['name_english'];
  if ($language['name_localized'] !== NULL) {
    $title = $language['name_localized'];
    $captivePortalLanguageDisplayName = $language['name_localized']; // . ' (' . $language['name_english'] . ')'
  } else {
    $captivePortalLanguageDisplayName = $language['name_english'];
  }
  $fileName = $language['name_english'] . ' [' . $language['iso'] . ']';

  echo json_encode(array(
    'captive_portal_language_display_name' => $captivePortalLanguageDisplayName,
    'title' => $title,
    'file_name' => $fileName
  ));
}
