<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('..' . DS . 'includes' . DS . 'assigns_fineuploader.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "DiskInfo.php");
use \Renew\DbManagerMedia;
use \Renew\DiskInfo;

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

if (isset($_GET, $_GET['id'])) {
  $currentDirectoryId = strip_tags($_GET['id']);
} else {
  $currentDirectoryId = DbManagerMedia::MEDIA_ROOT_DIRECTORY_FILE_ID;
}

$dbManagerMedia->openDb();
  $imagesArray = $dbManagerMedia->imagesGetAll();
  $directoryArray = $dbManagerMedia->mediaGetAllDirectoriesAddPathRel();
  $languageDirectoriesArray = $dbManagerMedia->mediaGetLanguageDirectories();
$dbManagerMedia->closeDb();
$directoryArray = DbManagerMedia::MediaFormatDirectoryArrayForSelect($directoryArray);
$languageDirectoriesArraySelect = DbManagerMedia::MediaFormatLanguageDirectoryArrayForSelect($languageDirectoriesArray);

// $t->assign('storage_free', DiskInfo::BytesToHumanReadableSize($storageFreeB));
$t->assign('current_directory_id', $currentDirectoryId);
$t->assign('images_array', $imagesArray);
$t->assign('directory_array', $directoryArray);
$t->assign('language_directories_array_select', $languageDirectoriesArraySelect);

$t->assign('page_title', _('Upload Files'));
$t->assign('current_page', 'manage');
$t->assign('current_manage', 'upload');
templateDisplayPageAdmin('admin' . DS . 'manage' . DS . 'upload.tpl');
