<?php

/**
* TODO Comment this
*/

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator as Validator;

$dbManagerWifi->openDb();
$dbManagerMedia = new \Renew\DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

define('TYPE_SUFFIX', '_type');

if (isset($_POST) && isset($_POST['ajax'])) {

  // Radio returning 'true' or 'false'
  $featuredSliderDisabled = Validator::formatTrueFalseRadio($_POST['featured_slider_disabled']);

  // Autoplay speed
  if ($featuredSliderDisabled === 'false') {
    $featuredSliderAutoplaySpeed = $_POST['featured_slider_autoplay_speed'];
  }

  // Select all of the hidden inputs that give the checkbox names
  $checkboxArray = @$_POST['featured_media_checkboxes'];
  if (!isset($checkboxArray)) {
    $checkboxArray = array(); // no featured media
  }

  if ($validator->formErrorsIsEmpty()) {
    // Save checkbox settings
    $saveSettings = array(
      'featured_slider_disabled' => $featuredSliderDisabled,
    );
    if (isset($featuredSliderAutoplaySpeed)) {
      $saveSettings['featured_slider_autoplay_speed'] = $featuredSliderAutoplaySpeed;
    }

    // Save
    $dbManagerWifi->openDb();
      if (!$dbManagerWifi->settingsSetKeyValueArray($saveSettings)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerWifi->closeDb();

    // Enable or disable featured
    $dbManagerMedia->openDb();
      if (!$dbManagerMedia->mediaSetFeaturedOnlyWithIds($checkboxArray)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerMedia->closeDb();
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}
