<?php

include '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php';
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DateHelper.php");
require_once('.' . DS . 'dashboard_summary_helper.php');

define('DASHBOARD_REPORT', _('Dashboard Report'));

if (isset($_GET) && isset($_GET['email'])) {
  $reportingEmail = $dbManagerWifi->settingsGetValueForKey('reporting_email');
  $emailSubject =
    DASHBOARD_REPORT
    . ' ('
    . \DateHelper::DateTimeStringSQLite3()
    . ')'
    . ' --> 1: ' . _('Copy and paste data into a text file') . ' --> 2: ' . _('Save as a .csv file') . ' --> 3: ' . _('Open in Excel');
  $emailBodyString = getSummaryText();

  $mailto_url = \Renew\StringHelper::CreateMailtoUrl(
    $reportingEmail,
    $emailSubject,
    $emailBodyString
  );

  // echo mailto url for js
  echo $mailto_url;
} else {
  downloadSummary();
}
