<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DeviceInfo.php");
require_once("Renew" . DS . "SystemHelper.php");
use \Renew\SystemHelper as SystemHelper;

if (isset($_POST, $_POST['ajax'])) {
  if (isset($_POST) && $_POST['_method'] === 'GET') {
    // Get current wifi networks
    if (IS_DEV_ENV) {
      $wifiNetworksArray = array(
        array('ssid' => 'Dev env 4', 'quality' => 70, 'is_connected' => 1, 'is_saved' => 1, 'password' => 'test password'),
        array('ssid' => 'Dev env 1', 'quality' => 50, 'is_connected' => 0, 'is_saved' => 1, 'password' => 'test password'),
        array('ssid' => 'Dev env 2', 'quality' => 51, 'is_connected' => 0, 'is_saved' => 0, 'password' => ''),
        array('ssid' => 'Dev env 3', 'quality' => 48, 'is_connected' => 0, 'is_saved' => 0, 'password' => '')
      );
    } else {
      $wifiNetworksArray = SystemHelper::Wlan1ScanForWifiNetworksReturnSSIDArray();
      $connectedSsid = SystemHelper::Wlan1GetConnectedSsid();
      $wifiNetworksArray = $dbManagerWifi->wifiNetworksGetNetworksArrayForPresentation($wifiNetworksArray, $connectedSsid);
      $wifiNetworksArray = array_values($wifiNetworksArray);
    }

    $t->assign('ajax', TRUE);
    $t->assign('wifi_networks_array', $wifiNetworksArray);
    $t->display('admin' . DS . 'components' . DS . 'settings' . DS . 'wifi_networks_foreach.tpl');
    exit();
  }
  exit();
}
$firmwareVersion = \Renew\DeviceInfo::GetLightStreamFirmwareVersion();

$t->assign('firmware_version', $firmwareVersion);
$t->assign('message_download_firmware', sprintf(_('Download the newest software from %s'), 'www.renewoutreach.org/lightstream-updates/'));
$t->assign('message_renew_email', sprintf(_('To get the password for the download page, please email %s.'), 'help@renewoutreach.org'));
$t->assign("page_title", _('Software Update'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'update');
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'update.tpl');
