<?php

// include the settings for php functions to run from the command line
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('vendor' . DIRECTORY_SEPARATOR . 'autoload.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerWifi.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'TemplateManager.php');
use \Renew\DbManagerWifi as DbManagerWifi;

$t = new Renew\TemplateManager(BASE_DIR);
$t->clearAllCache();
$dbManagerWifi = new Renew\DbManagerWifi(LSWIFI_DB);
$dbManagerWifi->openDb();
$dbManagerWifi->themesWriteCSSFile(THEMES_CSS_DIR);
$dbManagerWifi->closeDb();
