<?php
define('DIR_HTTP', dirname(dirname(dirname(dirname(__FILE__)))));

// include the settings for php functions to run from the command line
require_once(DIR_HTTP . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('vendor' . DIRECTORY_SEPARATOR . 'autoload.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerMedia.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerWifi.php');
use \Renew\DbManagerWifi as DbManagerWifi;
use \Renew\DbManagerMedia as DbManagerMedia;
$dbManagerWifi = new Renew\DbManagerWifi(LSWIFI_DB);
$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

require_once(DIR_HTTP . DIRECTORY_SEPARATOR . 'htdocs' . DIRECTORY_SEPARATOR . 'admin' . DIRECTORY_SEPARATOR . 'utilities' . DIRECTORY_SEPARATOR . 'captive_portal_set_default_languages.php');

// Set only if user hasn't changed captive portal
$setEvenIfLanguagesHaveBeenSet = FALSE;
captivePortalSetDefaultLanguages($setEvenIfLanguagesHaveBeenSet);

