{assign var="list_id" value="{$list_type_id}_{$list_category_id}"}
<div>
	<table class="dashboard-live-stats-table-top-files table table-striped" id="{$list_id}" border="0" cellspacing="4" cellpadding="4">
		<tbody>
			<thead>
				<tr>
					<th>{t}File Name{/t}</th>
					<th>{t}Downloads{/t}</th>
					<th>{t}Streams{/t}</th>
				</tr>
			</thead>
		{foreach from=$list_items key=key item=value}
				{assign var="top_file_exists" value="{isset($value['path_rel'])}"}
				<tr class="{if !$top_file_exists}display-none{/if}">
						<td>
							<span id="{$list_id}_{$key}_path_rel">
								{if $top_file_exists}{$value['path_rel']}{else}{/if}
							</span>
						</td>
						<td>
							<span id="{$list_id}_{$key}_total_downloads">
								{if $top_file_exists}{$value['total_downloads']}{else}0{/if}
							</span>
						</td>
						<td>
							<span id="{$list_id}_{$key}_total_streams">
								{if $top_file_exists}{$value['total_streams']}{else}0{/if}
							</span>
						</td>
				</tr>
		{/foreach}
		</tbody>
	</table>
	{if empty($list_items['file-0'])}
		<h4 id="no-top-files" class="margin-top-10 margin-bottom-0 padding-15">{t}No top files{/t}</h4>
	{/if}
</div>

{include file="shared/script_start.tpl"}
{include file="shared/script_end.tpl"}
