{*
  For use with the follow-up form

  @author JP
  @param field (optional)
*}
{extends file="admin/components/reusable/form_sortable_item_extend.tpl"}

{* Note, these strings are duplicated in PHP *}
{assign var="title_suffix" value="_title"}
{assign var="type_suffix" value="_type"}
{assign var="icon_suffix" value="_icon"}

{assign var="type_dropdown_class" value="{$checkbox_value}-form-followup-type"}
{assign var="icon_dropdown_class" value="{$checkbox_value}-form-followup-icon"}
{assign var="form_title_input_maxlength" value="1000"}

{block name='checkbox_array_name'}{$checkbox_array_name}{/block}
{block name='checkbox_value'}{$checkbox_value}{/block}
{block name='ajax'}{if isset($ajax)}{$ajax}{/if}{/block}

{block name="content"}
  <div class="col-xs-12">
    <div class="col-xs-12 col-sm-6">
      {include
        file="admin/components/reusable/form_input.tpl"
        name="{$checkbox_value}{$title_suffix}"
        placeholder="{t}Title{/t}"
        value="{if isset($field)}{$field['title']}{else}{/if}"
        remove_margin_top=TRUE
        remove_margin_bottom=TRUE
        maxlength=$form_title_input_maxlength
      }
    </div>
    <div class="col-xs-12 col-sm-6 position-relative followup-form-select-wrapper">
      <div class="col-xs-12 col-sm-6 followup-form-select-padding-left">
        {include
          file="admin/components/followup_form/form_select_followup_type.tpl"
          class="{$type_dropdown_class}"
          id="{$type_dropdown_class}"
          name="{$checkbox_value}{$type_suffix}"
          selected_value="{if isset($field)}{$field['type']}{else}long{/if}"
          remove_margin_top=TRUE
        }
      </div>
      <div class="col-xs-12 col-sm-6 followup-form-select-padding-right">
        {include
          file="admin/components/followup_form/form_select_followup_icon.tpl"
          class="{$icon_dropdown_class}"
          id="{$icon_dropdown_class}"
          name="{$checkbox_value}{$icon_suffix}"
          selected_value="{if isset($field)}{$field['icon']}{else}none{/if}"
          remove_margin_top=TRUE
        }
      </div>
    </div>
  </div>

  {include file="shared/script_start.tpl"}
    var typeDropdownClass = '.' + '{$type_dropdown_class}';
    var iconDropdownClass = '.' + '{$icon_dropdown_class}';
    select2Class.initIcons(iconDropdownClass, 100);
    select2Class.init(typeDropdownClass);
  {include file="shared/script_end.tpl"}
{/block}
