{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

<div>{t}Create USB drives and SD cards that can update your media or mirror your device to another one.{/t}</div>
<br />
<h4>{t}Mirror SD Card{/t}</h4>
<hr />
<div class="help-template-li-margin">{t}Mirror SD cards give you the ability to mass duplicate all media and settings for these devices once you have set up a single device. A mirror SD card will make an exact copy of this device. Insert a mirror SD card into another one of these WiFi streaming devices to make it identical to this one.{/t}</div>
<div class="help-template-li-margin"><i class="material-icons">&#xE53B;</i> {t}Create a Mirror SD Card{/t}:</div>
<ul>
  <li>{t}To create a Mirror SD Card, click “Create Mirror SD Card” in the setup below.{/t}</li>
  <li><span class="color-danger">{t}WARNING: The SD card will be reformatted and all of its content will be deleted.{/t}</span></li>
</ul>
<div class="help-template-li-margin"><i class="material-icons">&#xE627;</i> {t}Run a Mirror SD Card{/t}:</div>
<ul>
  <li>{$message_help_mirror_run_button nofilter}</li>
  <li><span class="color-danger">{$message_help_mirror_warning nofilter}</span></li>
  <li>{$message_help_mirror_run_admin nofilter}</li>
</ul>
<br />

<h4><i class="material-icons">&#xE03B;</i> {t}Update Drive{/t}</h4>
<hr />
<div class="help-template-li-margin">{t}An update drive is a USB drive that has two functions: uploading media to the device and running a software update. Update drives can add media, but they do not delete any existing files.{/t}</div>
<div class="help-template-li-margin">{t}How to upload media{/t}:</div>
<ul>
  <li>{$message_help_update_upload_media_description nofilter}</li>
</ul>
<div class="help-template-li-margin">{t}How to run a firmware update{/t}:</div>
<ul>
  <li>{t}Download the update online and put it into the “firmware” folder on the update drive. To run the update, plug the USB drive into this device.{/t}</li>
</ul>
