{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

<div>{t}Customize the device's WiFi name, URL, and other WiFi settings.{/t}</div>
<br />

<h4>{t}WiFi Name{/t}</h4>
<hr />
<ul>
  <li>{$message_setup_wifi_name nofilter}</li>
  <li>{$message_setup_wifi_name_examples nofilter}</li>
</ul>
<br />

<h4>{t}Website URL{/t}</h4>
<hr />
<ul>
  <li>{$message_setup_website_url nofilter}</li>
  <li>{$message_setup_website_url_examples nofilter}</li>
  <li>{t}You don't need to own a domain to use it as your Website URL.{/t}</li>  
</ul>
<br />

<h4>{$title_max_downloads}</h4>
<hr />
<ul>
  <li>{t}This is the maximum number of people who will be allowed to download from this device at the same time.{/t}</li>
  <li>{$message_wifi_max_downloads_notice nofilter}</li>
  <li><span class="color-danger">{$message_wifi_require_password_reset nofilter}</span></li>
</ul>
<br />


<h4>{$title_captive_portal}</h4>
<hr />
<div class="help-template-li-margin">{$message_captive_portal nofilter} {$message_options_include nofilter}</div>
<ul>
  <li>{$title_captive_portal_multiple_languages} - {t}Show a list of language names in the popup, which users can click to see a custom message in their language.{/t}</li>
  <li>{$title_captive_portal_custom_message} - {t}Display one custom message to all users in the popup.{/t}</li>
  <li>{$title_captive_portal_disabled} - {t}Disable the popup. If people have already been told how to use this device, the popup may not be necessary.{/t}</li>
</ul>
<br />

<h4>{$title_advanced_options}</h4>
<hr />
<div class="help-template-li-margin">{t}Password{/t}:</div>
<ul>
  <li>{$message_security_wifi_password nofilter}</li>
  <li>{t}Note: This password is not the same as the admin password. The admin password allows you to sign into the admin settings. The WiFi password must be entered when a device connects to the WiFi network.{/t}</li>
  <li>{$message_wifi_require_password_reset nofilter}</li>
</ul>
<br />

<h4>{t}Important Note about HTTPS{/t}</h4>
<hr />
<ul>
  <li>{t}If a user connects to the WiFi and types a website into their browser, they will be redirected to the homepage. But, if a user tries to visit a website like https://facebook.com or https://google.com, the redirect will not work. This is because sites that start with "https" cannot be redirected to without a real internet connection.{/t}</li>
  <li>{t}To get around this issue, we use a captive portal popup window with animation that shows users how to visit the website address.{/t}</li>
  <li>{$message_help_mention_url_in_ssid nofilter}</li>
</ul>
