{*
  Image icons for manage images page

  @param image_title The name of the image, shown to user
  @param image_id Id of the image, used to access the image src
*}
<div id="{$image_id}-icon" class="col-xs-6 col-sm-4 col-md-3 media-icon-flow-col">
  <div class="panel">
    <a href="" class="manage-images-icon">
      <div
        class="manage-images-icon-image"
        style="background-image: url('/images/user_images/4x3/{$image_id}.jpeg?cache={$serial_number}');">
        <div class="btn-group-sm">
          <div class="manage-images-icon-buttons">
            <form id="{$image_id}-delete-form" method="POST" action="{$form_action}" enctype="multipart/form-data">
              <input type="hidden" name="_method" value="DELETE">
              <input type="hidden" name="image_id" value="{$image_id}" />
              {include
                file="user/components/reusable/circle_button.tpl"
                id="{$image_id}-delete"
                icon="&#xE92B;"
                button_class="background-danger"
                icon_class="color-white"
              }
            </form>
          </div>
        </div>
      </div>
    </a>
    <div class="panel-footer background-white manage-images-icon-footer">
      <span id="{$image_id}-title" class="manage-images-icon-title">{$image_title}</span>
      <i id="{$image_id}-edit" class="material-icons pull-right margin0 padding0 btn">&#xE254;</i>
      <form id="{$image_id}-edit-form" class="hidden" method="POST" action="{$form_action}" enctype="multipart/form-data">
        <input type="hidden" name="_method" value="POST">
				<input type="hidden" name="image_id" value="{$image_id}" />
				<input type="hidden" name="image_title" value="{$image_title}" />
      </form>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
    initAdmin.init('manage_images_icon.tpl', {
      image_id: "{$image_id}",
      confirm_message: "{t}Are you sure you want to delete %s?{/t}",
      rename_heading: "{t}Rename Image{/t}",
      rename_confirm_text: "{t}Rename{/t}"
    });
{include file="shared/script_end.tpl"}
