{*
  Breadcrumbs to know which directory the user is in using the media manager

  @author JP
  @assign breadcrumbs_array
*}
{if isset($title)}
<div class="pull-left font-size-16 media-breadcrumb-title">
  {$title}
</div>
{/if}
<ul class="breadcrumb media-breadcrumb font-size-16 padding-bottom-0">
  {if count($breadcrumbs_array) == 0}
  <li class="active">
  {else}
  <li class="breadcrumb-li">
  {/if}
    <a href="/admin/manage/media.php">{t}Home{/t}</a>
  </li>
  {foreach from=$breadcrumbs_array key=k item=v name=media_breadcrumbs_foreach}
  {assign var="last_item" value="{if $smarty.foreach.media_breadcrumbs_foreach.index == (count($breadcrumbs_array) - 1)}TRUE{/if}"}
    {if $last_item}
    <li class="active">
    {else}
    {* must be mb_substr() because encoding is changed by substr() *}
    {assign var="v" value="{mb_substr($v, 0, 5)}..."}
    <li class="breadcrumb-li">
    {/if}
      <a href="/admin/manage/media.php?id={$k}">{$v}</a>
    </li>
  {/foreach}
</ul>
