{*
  Utility class using the bootstrap alert

  @author JP
  @param class The type of alert, defaults to alert-success
  @param dismissible Should user be able to close the alert
  @param title
  @param message
*}
<div
  class="alert alert-dismissible margin0 {if isset($class)}{$class}{else}alert-success{/if}"
  id="{if isset($id)}{$id}{/if}">
  {if isset($dismissible)}
    <div id="popup-exit" class="alert-close pull-right button-hover" data-dismiss="alert">
      <i class="material-icons">&#xE5C9;</i>
    </div>
  {/if}
  {if isset($title)}
    <h4 {if !isset($message)} class="margin0" {/if}>
      {if isset($icon)}<i class="material-icons">{$icon nofilter}</i>{/if} {$title}
    </h4>
  {/if}
  {if isset($message)}
    <p>
      {$message}
    </p>
  {/if}
</div>
