{*
  @param drop_text
  @param button_text
  @param hide_main_progress_bar
*}
{assign var="fineuploader_template_id" value="{if isset($fineuploader_template_id) && $fineuploader_template_id}{$fineuploader_template_id}{else}qq-default-template{/if}"}
{* Fineuploader dom element *}
<div id="{$fineuploader_template_id}"></div>

<script type="text/template" id="{$fineuploader_template_id}-script">
    <div class="qq-uploader-selector qq-uploader" qq-drop-area-text="{$drop_text}">
        <div id="{$fineuploader_template_id}-button-add" class="{if isset($hide_button) && $hide_button}display-none{/if}">
            <div class="col-sm-6 col-xs-10 col-centered">
              <div class="qq-upload-button-selector btn btn-raised btn-block btn-success margin0">
                  <i class="material-icons">{$button_icon nofilter}</i>
                  <span>{$button_text}</span>
              </div>
            </div>
        </div>
        {if isset($hide_main_progress_bar)}
          <br />
        {else}
          <div class="row margin0 fineuploader-progress-wrapper">
            <div class="qq-total-progress-bar-container-selector qq-total-progress-bar-container">
                <div role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" class="qq-total-progress-bar-selector qq-progress-bar qq-total-progress-bar"></div>
            </div>
          </div>
        {/if}
        <div class="qq-upload-drop-area-selector qq-upload-drop-area" qq-hide-dropzone>
            <span class="qq-upload-drop-area-text-selector"></span>
        </div>

        <span class="qq-drop-processing-selector qq-drop-processing">
            <span class="qq-drop-processing-spinner-selector qq-drop-processing-spinner"></span>
        </span>

        <!-- List of files -->
        <ul class="fineuploader-upload-files-list qq-upload-list-selector qq-upload-list" aria-live="polite" aria-relevant="additions removals">
            <li>
              <div class="qq-progress-bar-container-selector">
                  <div role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" class="qq-progress-bar-selector qq-progress-bar"></div>
              </div>
              <span class="qq-upload-spinner-selector qq-upload-spinner"></span>
              <img class="qq-thumbnail-selector" qq-max-size="100" qq-server-scale>
              <span class="qq-upload-file-selector qq-upload-file"></span>
              <input class="qq-edit-filename-selector qq-edit-filename" tabindex="0" type="text">
              <span class="qq-upload-size-selector qq-upload-size"></span>
              <span class="qq-edit-filename-icon-selector qq-edit-filename-icon display-inline-block margin-left-10" aria-label="{t}Edit File Name{/t}"></span>
              <button type="button" class="btn btn-sm btn-raised btn-danger qq-upload-cancel-selector">{t}Cancel{/t}</button>
              <button type="button" class="qq-btn qq-upload-retry-selector qq-upload-retry">{t}Retry{/t}</button>
              <button type="button" class="qq-btn qq-upload-delete-selector qq-upload-delete">{t}Delete{/t}</button>
              <span role="status" class="qq-upload-status-text-selector qq-upload-status-text"></span>
            </li>
            <div class="col-sm-3 col-xs-12">
              <button type="button" class="qq-btn qq-upload-cancel-selector qq-upload-cancel">{t}Cancel{/t}</button>
              <button type="button" class="qq-btn qq-upload-retry-selector qq-upload-retry">{t}Retry{/t}</button>
              <button type="button" class="qq-btn qq-upload-delete-selector qq-upload-delete">{t}Delete{/t}</button>
              <span role="status" class="qq-upload-status-text-selector qq-upload-status-text"></span>
            </div>
        </ul>

        <dialog class="qq-alert-dialog-selector panel padding0">
            <div class="fineuploader-dialog qq-dialog-message-selector panel-body"></div>
            <div class="qq-dialog-buttons panel-footer">
                <button class="qq-cancel-button-selector btn btn-success btn-raised btn-block margin0">{t}Close{/t}</button>
            </div>
        </dialog>
      </div>
  </script>
