{*
  Text area, with 3 rows by default

  @author JP
  @param remove_margin_top
  @param name
  @param id
  @param value
  @param placeholder
  @param rows The number of rows
  @param message
  @param hint
*}
<div {if isset($remove_margin_top)} class="form-group margin0" {else} class="form-group" {/if}>
  <label class="wrap-long-words" for="{$name}">
    {if isset($icon)}<span class="display-inline-block"><i class="material-icons">{$icon nofilter}</i></span>{/if} {$label}
  </label>
  <textarea
    maxlength="{if isset($maxlength)}{$maxlength}{elseif isset($text_field_character_limit)}{$text_field_character_limit}{/if}"
    class="form-control{if isset($input_class)} {$input_class}{/if}"
    name="{$name}"
    {if isset($id)} id="{$id}" {/if}
    {if isset($placeholder)} placeholder="{$placeholder}" {/if}
    {if isset($rows)}
    row="{$rows}"
    {else}
    rows="3"
    {/if}>{if isset($value)}{$value}{/if}</textarea>
  {if isset($message)}
    <div class="label-text">{$message}</div>
  {/if}
  {if isset($hint)}
    <p class="help-block">{$hint}</p>
  {/if}
</div>
