{*
  Extenable template used for login and wizard.

  @author JP
*}

{include file="header_admin.tpl"}
{assign var="heading_icon" value="{block name='heading_icon'}{/block}"}
{assign var="dot_index" value="{block name='dot_index'}{/block}"}
{assign var="is_login" value="{block name='is_login'}{/block}"}
{assign var="hide_login_buttons" value="{block name='hide_login_buttons'}{/block}"}

{if !$is_login}
  <br />
  <br />
  {* Progress buttons *}
  <div class="flexbox-center-children login-panel-progress-wrapper">
    <div class="setup-dot {if $dot_index >= '1'}background-success{/if}">
      <i class="material-icons setup-icon">&#xE8E2;</i>
    </div>
    <div class="setup-line {if $dot_index >= '2'}background-success{/if}"></div>
    <div class="setup-dot {if $dot_index >= '2'}background-success{/if}">
      <i class="material-icons setup-icon">&#xE63E;</i>
    </div>
    <div class="setup-line {if $dot_index >= '3'}background-success{/if}"></div>
    <div class="setup-dot {if $dot_index >= '3'}background-success{/if}">
      <i class="material-icons setup-icon">&#xE2C0;</i>
    </div>
  </div>
{/if}

<div class="padding-20 padding-bottom-0">
  <div class="col-sm-8 padding0 col-centered">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="margin0">
          {if $heading_icon}<i class="material-icons">{$heading_icon nofilter}</i>{/if}
          {block name="heading"}{/block}
        </h3>
      </div>
      <div class="panel-body padding-30">
        {block name="content"}{/block}
      </div>
    </div>
  </div>
</div>

  {include
    file="admin/components/reusable/login_panel_banner_message.tpl"
    title="{t}Skip Setup For Now{/t}"
    link="/admin/dashboard.php"
  }

{include file="footer_admin.tpl"}

{block name="below_footer"}{/block}
