{* Random *}
{assign var="message_storage_full" value="{t}Device storage is full. Please delete some files on the Manage Media page and try again.{/t}"}

{* For update timestamp *}
{assign var="user_string" value="{t}User %s{/t}"}
{assign var="time_ago_string" value="{t}%s ago{/t}"}
{assign var="days_string" value="{t}%s days{/t}"}
{assign var="hours_string" value="{t}%s hours{/t}"}
{assign var="minutes_string" value="{t}%s minutes{/t}"}
{assign var="seconds_string" value="{t}%s seconds{/t}"}

{* For power.tpl *}
{assign var="message_secure_boot" value="{t}WARNING: Enabling this option will require you hold both side buttons to power on the device.{/t}"}

{* For login.tpl *}
{assign var="capslock_warning" value="{t}WARNING: Caps Lock is On{/t}"}

{* Security messages *}
{assign var="message_security_secure_boot" value="{t}Enable secure startup if there is secure information on this device and you don't want someone to easily turn on the device if it is taken.{/t}"}
{assign var="message_security_site_logo" value="{t}Please hide or change the default logo if you are in a country where you don't want people searching for information about this device.{/t}"}
{assign var="message_security_wifi_password" value="{t}If you don’t want everyone to be able to connect to the WiFi, require a password. This is useful in regions where you don’t want everyone nearby to be able to stream media on the homepage.{/t}"}
{assign var="message_security_followup_form" value="{t}In some countries, collecting someone’s contact information through this device could endanger them. In this situation, consider disabling the follow-up form or removing questions that ask for someone’s name or contact info.{/t}"}
{assign var="message_security_send_email" value="{t}In some countries users can be endangered by sending you an email, so consider this option carefully if there are security restrictions.{/t}"}
{assign var="message_security_followup_form_send_email" value="{t}When emailing form responses is enabled and a user submits the follow-up form, their email app will open so they can also email their response to you when they have internet.{/t} {$message_security_send_email nofilter}"}
{assign var="message_security_followup_form_email_stats" value="{t}Sending stats in some countries may endanger users.{/t}"}

{* wifi.tpl *}
{assign var="message_restart" value="{t}Note: Changes to WiFi will apply on the next restart{/t}"}
{assign var="message_save_successful" value="{t}Save Successful!{/t}"}

{* Help messages *}
{assign var="message_help_email" value="{t}If you click the “Email” button, the email app on your device will open and the stats will be inserted into a new message. When you send the email, it will go into your outbox to be sent to the reporting email address once you disconnect from this device and connect to the internet.{/t}"}
{assign var="message_help_bluetooth_size" value="{t}Bluetooth is for sending small files only (less than 15 MB is recommended). If you add very large files to your Bluetooth media, transfers to phones may fail before finishing.{/t}"}
{assign var="message_help_mirror_run_button" value="{t}If you insert a Mirror SD Card into a device that has the same username and password as this one, you can apply the mirror by clicking the “lock” button (the button next to the power button).{/t}"}
{assign var="message_help_mirror_run_admin" value="{t}To apply a Mirror SD Card on a device that doesn't have the same username and password, visit this page on the admin of that device and click the “Run a Mirror SD Card” section below.{/t}"}
{assign var="message_help_mirror_warning" value="{t}WARNING: Running a Mirror SD card will delete all existing media and admin settings and copy new media and settings from the card.{/t}"}
{assign var="message_help_site_logo" value="{t}The site logo is the logo displayed in the top bar on the homepage.{/t}"}
{assign var="message_help_greeting_panel" value="{t}Enable the greeting panel to display a greeting message at the top of the homepage.{/t}"}
{assign var="message_help_update_upload_media_description" value="{t}Add files to the media folder on the Update Drive. Insert the drive into a device’s USB port to copy the new media to the device.{/t}"}
{assign var="message_help_mention_url_in_ssid" value="{t}Consider mentioning the Website URL in the the WiFi Name (for example, 'Free WiFi - GoWifi.org') so that users will type in the correct URL when they open their browser.{/t}"}
{assign var="message_help_file_upload_format" value="{t}In order to allow streaming, convert videos to .MP4 format and audio to .MP3 format before uploading.{/t}"}
{assign var="message_wifi_max_downloads_notice_translation" value="{t}Keeping this number low (%s or less) ensures that the device will be fast enough to use with many people connected.{/t}"}
{assign var="message_wifi_max_downloads_notice" value="{$message_wifi_max_downloads_notice_translation|sprintf:'5':'%s'}"}
{assign var="message_wifi_require_password_reset" value="{t}If you forget your WiFi password, hold down the SD card lock button for 10 seconds while the WiFi is running to temporarily disable the password.{/t}"}
{assign var="message_captive_portal" value="{t}The WiFi login popup appears when users connect to the WiFi.{/t} {t}The popup can be used to explain what this device is and how to use it.{/t}"}
{assign var="message_options_include" value="{t}Options for this setting include the following{/t}:"}
{assign var="message_trusted_devices" value="{t}People using devices listed here can click on “Forgot Password“ when logging in. They can then log in as admin automatically if they have forgotten the password.{/t}"}

{* setup *}
{assign var="message_setup_wifi_name" value="{t}The WiFi name is what users see when they are looking for WiFi hotspots.{/t}"}
{assign var="message_setup_wifi_name_examples" value="{t}Examples of WiFi names: “Free Movies”, “Need hope?”, “Free WiFi“{/t}"}
{assign var="message_setup_website_url" value="{t}The Website URL is the address the users will be redirected to when they open up their browsers.{/t}"}
{assign var="message_setup_website_url_examples" value="{t}Examples of website URLs: “FreeMovies.com”, “ConnectFreeWifi.com”{/t}"}

{* account.tpl *}
{assign var="title_include_raw_data" value="{t}Include All User Activity Data in Downloaded Dashboard Statistics{/t}"}
{assign var="hint_include_raw_data" value="{t}When statistics are downloaded or emailed on the Dashboard page, include details of every user interaction{/t}"}

{* bluetooth.tpl *}
{assign var="message_bluetooth_dongle" value="{t}To use Bluetooth you must have a special USB Bluetooth dongle (sold separately) plugged into your USB port.{/t}"}

{* Titles *}
{assign var="title_advanced_options" value="{t}Advanced Options{/t}"}
{assign var="title_trusted_devices" value="{t}Trusted Devices - Devices that can log in without password{/t}"}
{assign var="title_recent_activity" value="{t}Recent Activity{/t}"}
{assign var="title_no_recent_activity" value="{t}No recent activity{/t}"}
{assign var="title_note" value="{t}Note{/t}"}
{assign var="title_warning" value="{t}Warning{/t}"}
{assign var="title_available" value="{t}Available{/t}"}
{assign var="title_max_downloads" value="{t}Max Number of File Downloads At Once{/t}"}
{assign var="title_captive_portal" value="{t}WiFi Login Popup (Captive Portal){/t}"}
{assign var="title_captive_portal_multiple_languages" value="{t}Display Messages in Multiple Languages{/t}"}
{assign var="title_captive_portal_custom_message" value="{t}Custom Message{/t}"}
{assign var="title_captive_portal_disabled" value="{t}Disabled{/t}"}
{assign var="title_enable_secure_startup" value="{t}Enable Secure Startup Mode{/t}"}
{assign var="title_require_wifi_password" value="{t}Require WiFi Password When Users Connect to WiFi{/t}"}
{assign var="title_disable_site_logo" value="{t}Disable Site Logo (hide top banner){/t}"}
{assign var="title_disable_followup_form" value="{t}Disable Followup Form{/t}"}
{assign var="title_none" value="{t}None{/t}"}
{assign var="title_unchanged" value="{t}Unchanged{/t}"}
{assign var="title_disable_followup_form_email" value="{t}Followup Form - Disable User Prompt to Send Email with Form Response{/t}"}


{* Pages *}
{assign var="page_mirror_and_update_drives" value="Mirror & Update Drives"}
