{extends file="admin/components/extends/toggle_group.tpl"}
{assign var="back_button_id" value="button-mirror-drive-run-back"}
{assign var="button_id" value="button-mirror-drive-run"}
{assign var="state1_id" value="mirror-drive-run-state-1-waiting"}
{assign var="state2_id" value="mirror-drive-run-state-2-success"}

{block name="button_id"}{$button_id}{/block}
{block name="content_id"}content-mirror-drive-run{/block}
{block name="button_group_class"}{$button_group_class}{/block}
{block name="content_group_class"}{$content_group_class}{/block}
{block name="back_button_id"}{$back_button_id}{/block}
{block name="button_icon"}sync{/block}
{block name="button_title"}{t}Run a Mirror SD Card{/t}{/block}
{block name="content"}
  <div class="text-align-center">
    <div class="{$section_group_class} display-none" id="{$state1_id}">
      <h3 class="margin0 position-relative">{t}Waiting for Mirror SD card{/t}<span class="animate-dots"></span></h3>
      <br />
      <div class="label-text">{t}Run a current Mirror SD Card by inserting it into the SD slot.{/t}</div>
      <div class="margin-top-10"></div>
      <div class="label-text color-danger">{$message_help_mirror_warning nofilter}</div>
      <br />
    </div>
    <div class="{$section_group_class} display-none" id="{$state2_id}">
      <h3 class="margin0">{t}Mirroring in Process{/t}</h3>
      <br />
      <div class="label-text">{t}Restarting{/t}</div>
    </div>
    {include file="admin/components/reusable/toggle_group_cancel_okay.tpl"}
  </div>
{/block}
{block name="script_inside"}
  initAdmin.init('toggle_group_mirror_drive_run.tpl', {
    section_group_class: '{$section_group_class}',
    button_id: '{$button_id}',
    back_button_id: '{$back_button_id}',
    state1_id: '{$state1_id}',
    state2_id: '{$state2_id}',
    message_confirm: "{t}Are you sure you want to apply the inserted mirror SD card?{/t}<br /><br /><span class='color-danger'>{$message_help_mirror_warning nofilter}</span>",
    message_restarting: '{t}The device will now restart and apply the mirror. Mirroring can take a long time.{/t}<br />{t}When the mirror is finished, the green WiFi light will turn on and all blue lights will turn off.{/t}<br /><br /><div class="color-danger">{t}WARNING: Do not remove the Mirror SD Card from the slot until the mirror is complete.{/t}</div>',
  });
{/block}
