{extends file="admin/components/extends/toggle_group.tpl"}
{assign var="back_button_id" value="button-update-drive-back"}
{assign var="button_id" value="button-update-drive"}
{assign var="state1_id" value="update-drive-state-1-waiting"}
{assign var="state2_id" value="update-drive-state-2-creating"}
{assign var="state3_id" value="update-drive-state-3-success"}

{block name="button_id"}{$button_id}{/block}
{block name="content_id"}content-update-drive{/block}
{block name="button_group_class"}{$button_group_class}{/block}
{block name="content_group_class"}{$content_group_class}{/block}
{block name="back_button_id"}{$back_button_id}{/block}
{block name="button_icon"}&#xE03B;{/block}
{block name="button_title"}{t}Update Drive Setup{/t}{/block}
{block name="content"}
  <div class="text-align-center">
    <div class="{$section_group_class} display-none" id="{$state1_id}">
      <h3 class="margin0 position-relative">{t}Waiting for USB drive{/t}<span class="animate-dots"></span></h3>
      <br />
      <div class="label-text">{t}Insert a USB drive into the USB port on this device (not a USB port on your computer) to create an Update Drive for adding media.{/t}</div>
      <div class="margin-top-10"></div>
      <div class="label-text">{$message_warning_drive_delete nofilter}</div>
      <br />
    </div>
    <div class="{$section_group_class} display-none" id="{$state2_id}">
      <h3 class="margin0 position-relative">{t}Creating Update Drive{/t}<span class="animate-dots"></span></h3>
      <div class="padding-top-40"></div>
    </div>
    <div class="{$section_group_class} display-none" id="{$state3_id}">
      <h3 class="margin0">{t}Successfully created!{/t}</h3>
      <br />
      <div class="label-text text-align-left">
        <div>{$message_help_update_upload_media_description nofilter}</div>
      </div>
      <br />
    </div>
    {include file="admin/components/reusable/toggle_group_cancel_okay.tpl"}
  </div>
{/block} {*DeviceLauncherUpdateDriveCreateSetFlag*}
{block name="script_inside"}
  initAdmin.init('toggle_group_update_drive.tpl', {
    section_group_class: '{$section_group_class}',
    button_id: "{$button_id}",
    back_button_id: "{$back_button_id}",
    state1_id: "{$state1_id}",
    state2_id: "{$state2_id}",
    state3_id: "{$state3_id}",
    message_confirm: "{t}Are you sure you want to turn the inserted USB drive into an Update Drive?{/t}<br /><br /><span class='color-danger'>{$message_warning_drive_delete nofilter}</span>"
  });
{/block}
