{*
  For use with the follow-up form

  Note, these prefixes are duplicated in PHP:
  _display_name
  _message
  _language_iso

  @author Josiah Palusky
  @param checkbox_array_name
  @param checkbox_value
  @param captive_portal_display_name
  @param captive_portal_language_iso (optional)
  @param captive_portal_message
*}

{extends file="admin/components/reusable/form_sortable_item_extend.tpl"}
{block name='checkbox_array_name'}{$checkbox_array_name}{/block}
{block name='checkbox_value'}{$checkbox_value}{/block}
{block name='ajax'}{if isset($ajax)}{$ajax}{/if}{/block}

{block name="content"}
  <div class="col-xs-12">
    {if isset($captive_portal_language_iso) && $captive_portal_language_iso}
    <input type="hidden" value="{$captive_portal_language_iso}" name="{$checkbox_value}_language_iso">
    {/if}
    <input type="hidden" value="{$captive_portal_display_name}" name="{$checkbox_value}_display_name">
    {include
      file="admin/components/reusable/form_textarea.tpl"
      name="{$checkbox_value}_message"
      placeholder="{t}No Message{/t}"
      label="{$captive_portal_display_name}{if isset($captive_portal_language_iso) && $captive_portal_language_iso} [{$captive_portal_language_iso}]{/if}"
      value="{if isset($captive_portal_message)}{$captive_portal_message}{/if}"
      remove_margin_top=TRUE
      input_class="wifi-captive-portal-language-textarea"
    }
  </div>
{/block}
