{assign var="checkbox_array_name" value="captive_portal_languages[]"}
{assign var="max_inputs" value=10}

<div class="col-sm-6 col-xs-10 col-centered">
  {include
    file="shared/raised_button.tpl"
    id="{$list_id}-button"
    icon="&#xE145;"
    class="padding-8"
    title="{t}Add New Language{/t}"
  }
</div>
<br>
<div class="text-center">
  {t}Note: [url] will be replaced with your current wifi url{/t} - {$site_url}
</div>
<br>
<div id="{$list_id}">
  {foreach from=$captive_portal_languages item=captive_portal_language}
    {include 
      file="admin/components/settings/wifi/form_sortable_item_captive_portal_language.tpl"
      checkbox_value=$captive_portal_language['id']
      captive_portal_display_name=$captive_portal_language['language_display_name']
      captive_portal_language_iso=$captive_portal_language['language_iso']  
      captive_portal_message=$captive_portal_language['message'] 
    }
  {/foreach}
</div>
<div class="text-center">
  <a class="text-link clickable-pointer" id="{$list_id}-button-reset">{t}Restore Default Languages{/t}</a>
</div>

{include file="shared/script_start.tpl"}
  initAdmin.init("form_sortable_item_captive_portal_language_list.tpl", {
    wrapper_id: "{$list_id}",
    click_id: "{$list_id}-button",
    button_reset_id: "{$list_id}-button-reset",
    button_reset_message: "{t}Are you sure you want to restore the default languages?{/t}",
    checkbox_array_name: "{$checkbox_array_name}",
    
    // Popup
    heading: "{t}Add New Language{/t}",
    confirm_text: "{t}Add Language{/t}",
    is_captive_portal_language: true,
  });
{include file="shared/script_end.tpl"}