{include
  file="admin/components/reusable/form_checkbox.tpl"
  id="wifi-password-enabled-checkbox"
  name="wifi_password_enabled"
  label="{$title_require_wifi_password}"
  checked=$wifi_password_enabled
  hint_seen="<span class='color-danger'>{$message_wifi_require_password_reset nofilter}</span>"
  security_message="{$message_security_wifi_password nofilter}"
  security_button_id="security-wifi-password"
}
<div id="wifi-password-enabled-collapse">
  {include
    file="admin/components/reusable/form_input.tpl"
    name="wifi_password"
    maxlength=$wifi_password_max_length
    label="{t}WiFi Password{/t}"
    value="{$wifi_password}"
    placeholder="{t}Password{/t}"
    hint="{$wifi_password_length_message}"
    disable_autocapitalize=TRUE
  }
  {include
    file="admin/components/reusable/form_input.tpl"
    name="wifi_password_confirm"
    maxlength=$wifi_password_max_length
    label="{t}Confirm WiFi Password{/t}"
    value="{$wifi_password}"
    placeholder="{t}Confirm Password{/t}"
    hint="{$wifi_password_length_message}"
    disable_autocapitalize=TRUE
  }
</div>

{include file="shared/script_start.tpl"}
  reveal.revealWithInput(
    '#wifi-password-enabled-collapse',
    '#wifi-password-enabled-checkbox'
  );
{include file="shared/script_end.tpl"}
