{* TODO remove preg_replace, put into php *}
<div id="wifi-networks-foreach">
  {if count($wifi_networks_array) > 1}
    {foreach from=$wifi_networks_array item=wifi_network}
      {include
        file="admin/components/settings/wifi_network_tile.tpl"
        ssid=$wifi_network['ssid']
        password="{if isset($wifi_network['password'])}{$wifi_network['password']}{/if}"
        is_saved=$wifi_network['is_saved']
        quality=$wifi_network['quality']
        connected=$wifi_network['is_connected']
      }
    {/foreach}
  {else}
  <br />
  <div class="text-align-center">
    <label>{t}No WiFi Networks in Range{/t}</label>
  </div>
{/if}
</div>
{include
  file="shared/raised_button.tpl"
  class="btn-success"
  id="add-wifi-button"
  title="+ {t}Add WiFi Network{/t}"
}

{include file="shared/script_start.tpl"}
  var popupHeading = "{t}Add WiFi Network{/t}";
  var addWifiButton = $('#add-wifi-button');
  var addWifiFormWrapper = $('#add-wifi-form-wrapper');
  var addWifiFormId = '#add-wifi-form';
  var addWifiNetworkButtonId = '#add-wifi-network-button';
  var confirmButtonId = '#add-wifi-network-confirm';

  addWifiButton.on('click', function() {
    popup.popupHelper(
      'shared/popup_custom.tpl',
      {
        include_file: 'admin/components/settings/add_wifi_network_form.tpl',
        heading: popupHeading,
        message: '',
        confirm_button_id: util.removePound(confirmButtonId)
      },
      function() {
        $(confirmButtonId).on('click', function() {
          $(addWifiFormId).submit();
        });
        ajax.submitAjaxForm(addWifiFormId, function(responseJSON) {
          var response = JSON.parse(responseJSON);
          utilAdmin.disableRaisedButtonGif(addWifiNetworkButtonId);

          ajax.appendTemplate(
            'admin/components/settings/wifi_network_tile.tpl',
            {
              ssid: response['ssid'],
              password: response['password'],
              is_saved: true,
              in_range: false,
              connected: false
            },
            '#wifi-networks-foreach'
          );
        });
      }
    );
  });
{include file="shared/script_end.tpl"}
