{assign var="current_settings" value="{if isset($current_settings)}{$current_settings}{/if}"}
<li class="dropdown {$class}">
  <a data-target="#" class="dropdown-toggle" data-toggle="dropdown"><i class="material-icons">&#xE8B8;</i> {t}Settings{/t}
    <b class="caret"></b></a>
  <ul class="dropdown-menu">
    <li {if $current_settings == "language"} class="active"{/if}>
        <a href="/admin/settings/language.php"><i class="material-icons">&#xE8E2;</i> {t}Admin Language{/t}</a>
    </li>
    <li {if $current_settings == "account"} class="active"{/if}>
        <a href="/admin/settings/account.php"><i class="material-icons">&#xE7FD;</i> {t}Account{/t}</a>
    </li>
    <li {if isset($current_manage) && $current_manage eq "user_interface"} class="active"{/if}>
        <a href="/admin/manage/user_interface.php" data-ajax="false"><i class="material-icons">&#xE88A;</i> {t}Customize Homepage{/t}</a> {* &#xE1B1; *}
    </li>
    <li {if $current_settings == "wifi"} class="active"{/if}>
        <a href="/admin/settings/wifi.php"><i class="material-icons">&#xE63E;</i> {t}WiFi{/t}</a>
    </li>
    <li {if $current_settings == "bluetooth"} class="active"{/if}>
        <a href="/admin/settings/bluetooth.php"><i class="material-icons">&#xE1A7;</i> {t}Bluetooth{/t}</a>
    </li>
    <li {if $current_settings == "sd"} class="active"{/if}>
        <a href="/admin/settings/sd.php"><i class="material-icons">&#xE623;</i> {t}SD & USB Copy{/t}</a>
    </li>
    {if $satellite_cable_connected}
      <li {if $current_settings == "satellite"} class="active"{/if}>
        <a href="/admin/settings/satellite.php"><i class="material-icons">&#xE562;</i> {t}Satellite{/t}</a>
      </li>
    {/if}
    <li {if $current_settings == "security"} class="active"{/if}>
        <a href="/admin/settings/security.php"><i class="material-icons">&#xE897;</i> {t}Security{/t}</a>
    </li>
    <li {if $current_settings == "drives"} class="active"{/if}>
        <a href="/admin/settings/drives.php"><i class="material-icons">&#xE53B;</i> {t}Mirror & Update Drives{/t}</a>
    </li>
    <li {if $current_settings == "power"} class="active"{/if}>
        <a href="/admin/settings/power.php"><i class="material-icons">&#xE8AC;</i> {t}Power{/t}</a>
    </li>
    <li {if $current_settings == "update"} class="active"{/if}>
        <a href="/admin/settings/update.php"><i class="material-icons">&#xE2C6;</i> {t}Software Update{/t}</a>
    </li>
  </ul>
</li>
