{*
  @param is_media
*}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
{assign var="is_media" value="{if isset($is_media)}TRUE{/if}"}
{assign var="is_dropdown_image_uploader" value="{if isset($is_dropdown_image_uploader)}TRUE{/if}"}
{assign var="fineuploader_template_id" value="{if isset($fineuploader_template_id)}{$fineuploader_template_id}{/if}"}

{* Hidden if dropdown image uploader *}
<div class="{if $is_dropdown_image_uploader}hidden{/if}">

  {* Fineuploader template *}
  {include
    file="admin/components/reusable/fineuploader_template_general.tpl"
    drop_text="{if $is_media}{t}Drop Files Here{/t}{else}{t}Drop Image Here{/t}{/if}"
    button_text="{t}Add Files{/t}"
    hide_button="{if !$is_media}TRUE{/if}"
    button_icon="&#xE147;"
    fineuploader_template_id="{$fineuploader_template_id}"
  }

  {* Submit button for form *}
  <br />
  <div class="row">
    <div id="{$fineuploader_template_id}-upload-files-submit">
      {if $is_media}
        {include
          file="admin/components/reusable/form_submit_footer_inner.tpl"
          submit_text="{t}Upload Files{/t}"
          cancel_text="{t}Back{/t}"
          submit_button_id="{$fineuploader_template_id}-submit"
          cancel_button_id="{$fineuploader_template_id}-back"
          disable_submit=TRUE
          disable_gif=TRUE
        }
      {/if}
    </div>
    <div id="{$fineuploader_template_id}-upload-files-cancel" class="padding-bottom-5 margin-left-right-15 display-none">
      {include
        file="shared/raised_button.tpl"
        id="{$fineuploader_template_id}-cancel"
        class="btn-danger"
        title="{t}Cancel Upload{/t}"
      }
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}

  var data = {
    is_media: false,
    upload_failed_message: "{t}Upload failed{/t}",
    fineuploader_message_no_files: "{t}No files to upload{/t}",
    storage_free_b: "{$storage_free_b}",
    message_storage_full: "{$message_storage_full nofilter}",
    fineuploader_template_id: "{$fineuploader_template_id}"
  };
  {if $is_media} {* Media uploader *}
    data['is_media'] = true;
    data['form_id'] = "{$form_id}";
    data['uploaded_files_id'] = "{$uploaded_files_id}";
    data['step1_id'] = "{$step1_id}";
    data['step2_id'] = "{$step2_id}";
    data['step3_id'] = "{$step3_id}";
    data['group_class'] = "{$group_class}";
    data['select_directory_id'] = "{$select_directory_id}";
    data['current_directory_id'] = "{$current_directory_id}";
  {else} {* Image uploader *}
    data['image_allowed_mime_types'] = "{$image_allowed_mime_types}";
    data['image_allowed_extensions'] = {json_encode($image_allowed_extensions) nofilter};
    data['fineuploader_message_invalid_extension'] = "{$fineuploader_message_invalid_extension}";
  {/if}
  {if $is_dropdown_image_uploader}
    data['is_dropdown_image_uploader'] = true;
  {/if}
  initAdmin.init("fineuploader_upload.tpl", data);
{include file="shared/script_end.tpl"}
