{*
  TODO Comment

  @author JP
*}

{extends file="admin/components/reusable/form_extend_accordion.tpl"}

{* Including "in" in group_class will make the accordion open by default *}
{block name="hide_form"}TRUE{/block}
{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$step3_id}{/block}
{block name="form_id"}{$form_id}{/block}
{block name="form_icon"}&#xE24D;{/block}
{block name="form_title"}{t}Step 3: Edit Uploaded Files{/t}{/block}
{block name="hide_arrow"}TRUE{/block}
{block name="content"}
  {* Uploader for new images *}
  {include
    file="admin/components/upload/fineuploader_upload.tpl"
    is_dropdown_image_uploader=TRUE
  }
  <div class="row padding-15 padding-bottom-0">
    {* Location to add in uploaded file options widgets *}
    <div class="col-xs-12">
      <div class="display-none" id="uploaded-files-loading-message">
        <h3 class="padding-40 margin0 text-center">{t}Loading{/t}...</h3>
        <div class="margin-top-15"></div>
      </div>
      <div id="{$uploaded_files_id}"></div>
    </div>
  </div>

  {* Fixed finish uploading files banner *}
  <div id="finish-uploading-banner" class="display-none form-submit-footer-fixed">
    <div class="row">
      <div class="col-sm-8 col-xs-12 col-centered">
        <div class="col-md-6 col-xs-12">
          {include
            file="shared/raised_button.tpl"
            id="media-manager-button"
            class="btn-success"
            title="{t}Finished Uploading Files{/t}"
            icon="&#xE5CA;"
          }
        </div>
        <div class="col-md-6 col-xs-12">
          {include
            file="shared/raised_button.tpl"
            id="upload-more-button"
            class="btn-success margin-top-0-xs"
            title="{t}Upload More Files{/t}"
            icon="&#xE5D5;"
          }
        </div>
      </div>
    </div>
  </div>
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    initAdmin.init("uploaded_files.tpl", {
      group_class: "{$group_class}",
      step1_id: "{$step1_id}",
      step3_id: "{$step3_id}",
      select_directory_id: "{$select_directory_id}",
      uploaded_files_id: "{$uploaded_files_id}",
    });
  {include file="shared/script_end.tpl"}
{/block}
