{*
  Featured media form section.

  @author JP
*}
{extends file="admin/components/reusable/form_extend_accordion.tpl"}

{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$click_id}{/block}
{block name="form_id"}form-featured-media{/block}
{block name="form_action"}/admin/manage/user_interface_forms/featured_media.php{/block}
{block name="form_icon"}&#xE8DA;{/block}
{block name="form_title"}{t}Featured Media{/t}{/block}
{block name="cancel_button_id"}{$click_id}-cancel{/block}
{block name="form_content"}
  {*include
    file="admin/components/reusable/form_checkbox.tpl"
    name="featured_slider_disabled"
    label="{t}Disable Slider - Stack Featured Media Down Page{/t}"
    id="slider-autoplay-checkbox"
    checked=$featured_slider_disabled
  *}
  <div class="row form-group">
    <label class="margin-top-10">{t}Show Featured Media As{/t}:</label>
    <div class="col-md-12">
      {include
        file="admin/components/reusable/form_radio.tpl"
        label="{t}Animated Slider{/t}"
        name="featured_slider_disabled"
        value="false"
        id="radio-feautred-media-show-options-1"
        checked="{if !$featured_slider_disabled}TRUE{/if}"
      }
      {include
        file="admin/components/reusable/form_radio.tpl"
        label="{t}Stack Down Page{/t}"
        name="featured_slider_disabled"
        value="true"
        id="radio-feautred-media-show-options-2"
        checked="{if $featured_slider_disabled}TRUE{/if}"
      }
    </div>
  </div>
  <div id="slider-autoplay-collapse">
    <div class="row form-group">
      <label>{t}Automatically Move to Next Slide{/t}:</label>
      <div class="col-xs-12">
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Disabled{/t}"
          name="featured_slider_autoplay_speed"
          value=""
          id="featured-autoplay-speed-1"
          checked="{if $featured_slider_autoplay_speed === ''}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Every 5 seconds{/t}"
          name="featured_slider_autoplay_speed"
          value="5"
          id="featured-autoplay-speed-2"
          checked="{if $featured_slider_autoplay_speed === '5'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Every 10 seconds{/t}"
          name="featured_slider_autoplay_speed"
          value="10"
          id="featured-autoplay-speed-3"
          checked="{if $featured_slider_autoplay_speed === '10'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Every 15 seconds{/t}"
          name="featured_slider_autoplay_speed"
          value="15"
          id="featured-autoplay-speed-4"
          checked="{if $featured_slider_autoplay_speed === '15'}TRUE{/if}"
        }
      </div>
    </div>
  </div>
  <div class="form-group {if isset($remove_margin_top)}margin0{/if} padding0">
    <label>{t}Current Featured Media{/t}</label>
    <label>({t}Note: Items removed will not be deleted from media library{/t})</label>
    <hr class="margin-bottom-15"/>
  </div>
  {include
    file="admin/components/reusable/form_sortable_item_title_list.tpl"
    checkbox_array_name="featured_media_checkboxes[]"
    media_array=$featured_media_array
    max_number_of_inputs=FALSE
    title="{t}Add Featured Media{/t}"
  }
  <br />
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    initAdmin.init("featured_media.tpl", {
      click_id: "{$click_id}",
    });
  {include file="shared/script_end.tpl"}
{/block}
