{*
  Featured Media deletable table item, used in featured_media_list.tpl.

  @author JP
  @param title
  @param ajax Boolean
  @param checkbox_value Value attribute set in checkbox, that can be obtained
  in PHP when the checkboxes are gotten with the checkbox_array_name
  @param checkbox_array_name name for checkboxes, which must end with '[]' so
  that PHP can get all of the checkbox values as an array
*}
{extends file="admin/components/reusable/form_sortable_item_extend.tpl"}
{assign var="file_suffix" value="_file"} {* USED IN PHP *}

{block name='checkbox_array_name'}{$checkbox_array_name}{/block}
{block name='checkbox_value'}{$checkbox_value}{/block}
{block name='ajax'}{if isset($ajax)}{$ajax}{/if}{/block}
{block name='disable_sortable'}TRUE{/block}

{block name="content"}
  <td class="col-xs-12">
    <label class="margin-top-10 padding-10">{$title}</label>
    <input class="hidden" value="{$title}" name="{$checkbox_value}{$file_suffix}"/>
  </td>
{/block}
