{*
  Page: user responses to followup form, where admin can check responses, and
  delete unwanted items.

  @param responses_array
*}
{assign var="reporting_email_set" value="{if isset($reporting_email) && $reporting_email}TRUE{/if}"}
{assign var="should_show_more_button" value="{if $responses_limit < $responses_total_count}TRUE{/if}"}

{include file="header_admin.tpl"}
{include
  file="admin/components/followup_form/followup_form_responses_nav.tpl"
  checkbox_class="response-checkboxes"
  media_select_count_class="selected-responses-count"
}
{include file="admin/top_nav.tpl"}
  <div id="responses-nav-reveal"></div>
  {include file="admin/components/reusable/page_title.tpl"}
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_followup_form_responses.tpl"
  }
  <div class="row">
    <div class="col-sm-3 col-xs-12">
      {include
        file="shared/raised_button.tpl"
        id="open-responses"
        class="btn-default"
        title="{t}Open All{/t}"
        icon="&#xE069;"
      }
    </div>
    <div class="col-sm-3 col-xs-12">
      {include
        file="shared/raised_button.tpl"
        href="/admin/reports/followup_form_summary.csv.php"
        class="btn-success"
        title="{t}Download Responses{/t}"
        icon="&#xE2C4;"
      }
    </div>
    <div class="col-sm-3 col-xs-12">
      {include
        file="shared/raised_button.tpl"
        id="button-email-responses"
        class="btn-success"
        title="{t}Email Responses{/t}"
        icon="&#xE0BE;"
      }
    </div>
    <div class="col-sm-3 col-xs-12">
      {include
        file="shared/raised_button.tpl"
        id="delete-all"
        class="btn-danger"
        title="{t}Delete all{/t}"
        icon="&#xE92B;"
      }
      <form id="delete-all-form" class="hidden" method="POST" action="/admin/manage/followup_form/responses.php">
        <input type="hidden" name="_method" value="DELETE">
        <input type="hidden" name="delete_all" value="true" />
      </form>
    </div>
  </div>
  <hr class="hr-equal" />
  <div>
    <div id="responses-foreach-wrapper">
      {include file="admin/components/followup_form/followup_form_responses_foreach.tpl"}
    </div>
    {if $responses_total_count === 0}
      <br /><br /><br /><br /><br />
      <h3 class="text-center">{t}No responses yet{/t}</h3>
    {/if}
    {if $should_show_more_button}
      {* Value is current offset *}
      <div id="show-more-responses-button-wrapper">
        <div class="col-sm-6 col-centered">
          {include
            file="shared/raised_button.tpl"
            id="show-more-responses-button"
            class="btn-success pulse"
            icon="&#xE313;"
            value="0"
            title="{t}Show More Responses{/t}"
            icon_after_button=TRUE
          }
        </div>
        <br />
      </div>
    {/if}
  </div>
  <div class="followup-form-responses-nav-bottom-buffer"></div>
{include file="footer_admin.tpl"}

{include file="shared/script_start.tpl"}
  initAdmin.init("responses.tpl", {
    reporting_email_set: "{$reporting_email_set}",
    group_class: "followup-form-responses",
    delete_popup_message: "{t}Are you sure you want to delete all form responses?{/t}",
    should_show_more_button: "{$should_show_more_button}",
    responses_limit: "{$responses_limit}",
    responses_total_count: "{$responses_total_count}"
  });
{include file="shared/script_end.tpl"}
