{extends file="admin/components/reusable/form_extend.tpl"}
{assign var="group_class" value="update-accordions"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE2C6;"
    title="{$page_title}"
    remove_margin_top=true
  }
{/block}
{block name="form_content"}
  <div class="well wrap-long-words-no-dash">
    <h4 class="margin-top-0">
      <span class="font-weight-bold">{t}Current Software Version{/t}: </span> {$firmware_version}
    </h4>
    <br />
    <div><label>{$message_download_firmware nofilter}</label></div>
    <br />
    <div><label>{$message_renew_email nofilter}</label></div>
    <br />
    <label>{t}Press the button below to upload the software update file.{/t}</label>
  </div>
  {* TODO online updating
    {include
      file="admin/components/settings/update/update_online_accordion.tpl"
      group_class="{$group_class}"
    }
    {include
      file="admin/components/settings/update/update_manually_accordion.tpl"
      group_class="{$group_class}"
    }
  *}

  {* Fineuploader dom element *}
  {include file="admin/components/settings/fineuploader_template_update.tpl"}

  {include file="shared/script_start.tpl"}
    initAdmin.init("update_manually_accordion.tpl", {
      message_success: "{t}Please wait, the update will take a few minutes. During this time you will be disconnected from WiFi. After the update is completed, reconnect to the WiFi network.{/t}",
      message_failure: "{t}Upload Failed{/t}",
      storage_free_b: "{$storage_free_b}",
      message_storage_full: "{$message_storage_full nofilter}"
    });
  {include file="shared/script_end.tpl"}
{/block}
{block name="form_footer"}<div class="form-margin-footer"></div>{/block}
