{*
  Page: main followup form page, where user fills out the form.

  @author JP
  @assign followup_form Settings array for followup form
  @assign followup_form_fields_array
  @assign email_message_array Assoc. array with 'email', 'subject', and 'body'
  @assign form_settings (params)
*}

{include file="header.tpl"}
{include
  file="user/folder_nav.tpl"
  title=""
  href="/"
}
<br />
<div class="col-xs-10 col-sm-8 col-md-6 col-centered">
  <a href="/" class="text-decoration-none">
    <div class="panel">
      <div class="panel-body color-dark-gray">
        <div class="text-center padding-40">
          <i class="font-size-70 material-icons color-success">&#xE5CA;</i>{*xE86C*}
        </div>
        {if $followup_form['submit_success_title']}
          <h4 class="text-center wrap-long-words">{$followup_form['submit_success_title']}</h4>
        {/if}
      </div>
      <div class="panel-heading">
        <div class="col-xs-8 col-sm-6 col-centered">
          {include
            file="shared/raised_button.tpl"
            icon="&#xE88A;"
            class="btn-success"
          }
        </div>
      </div>
    </div>
  </a>
</div>
<br />

{if isset($redirect)}
  <form id="redirect-form" class="hidden" action="form_success.php" method="POST">
    <input type="hidden" name="form_redirect" value="TRUE" />
    <input type="hidden" name="form_response_id" value="{$response_id}" />
  </form>
{/if}

{include file="footer.tpl"}
<script>
  initUser.init("form_success.tpl", {
    redirect: "{if isset($redirect)}{$redirect}{/if}",
    mailto_url: "{if isset($mailto_url)}{$mailto_url}{/if}"
  });
</script>
