{*
  Header for user pages

  @author JP
*}

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="user-scalable=no,initial-scale=1.0001,maximum-scale=1.0001,viewport-fit=cover,width=device-width">
        <link rel="shortcut icon" type="image/x-icon" href="/images/favicon.ico"/>

        {if $is_dev_env}
          <!-- SHARED -->
          <link rel="stylesheet" href="/css/01_shared/01_bootstrap.min.css">
          <link rel="stylesheet" href="/css/01_shared/02_bootstrap-material-design.min.css">
          <link rel="stylesheet" href="/css/01_shared/03_styles-shared.css">

          <!-- USER -->
          <link rel="stylesheet" href="css/02_user/01_slick.css"/>
          <link rel="stylesheet" href="css/02_user/02_slick-theme.css"/>
          <link rel="stylesheet" href="/css/02_user/03_styles-user.css">
        {else}
          {* NOTE: Run combineJSAndCSS.sh *}
          <link href="/css/application.user.min.css?{$hash_user_css}" rel="stylesheet">
        {/if}

        {* NOTE: This is the css file that comes out of the lswifi.sqlite3 settings table *}
        <link rel="stylesheet" href="/css/{$themes_css_file}">
    </head>
    <body>
        <div class="main-page">
          <div id="header-background" class="col-sm-12 col-centered home-boxed-display home-shadow {if isset($background_class)}{$background_class}{else}user-theme-background-main{/if}">
