{*
  Popup allowing selection.

  @author JP
  @param heading
  @param message
  @param confirm_text
  @param cancel_text
  @param confirm_button_id
  @param popup_select_id
  @param select_array
  @param ajax
*}

{assign var="confirm_text" value="{block name='confirm_text'}{/block}"}
{assign var="cancel_text" value="{block name='cancel_text'}{/block}"}
{assign var="hide_cancel" value="{block name='hide_cancel'}{/block}"}
{assign var="confirm_button_id" value="{block name='confirm_button_id'}{/block}"}
{assign var="message" value="{block name='message'}{/block}"}
{assign var="disable_hide_on_confirm" value="{block name='disable_hide_on_confirm'}{/block}"}
{assign var="heading" value="{block name='heading'}{/block}"}

<div id="popup" class="popup popup-container">
  <div class="position-relative padding-20">
    <div class="panel col-sm-8 col-md-6 col-lg-6 col-centered popup-margin-top">
      <div class="panel-heading">
        <div id="popup-exit" class="pull-right button-hover color-light-gray-2">
          <i class="material-icons">&#xE5C9;</i>
        </div>
        {if $heading}
          {$heading}
        {else}
          <div class="invisible">.</div> {* Junk text to make height correct *}
        {/if}
      </div>
      <div class="panel-body popup-min-height">
        {if $message}
          <div class="row">
            <div class="col-xs-12">
              {$message}
            </div>
          </div>
          <br />
        {/if}
        <div class="row">
          <div class="col-xs-12">
            {block name="content"}{/block}
          </div>
        </div>
      </div>
      <div class="panel-footer">
        <div class="row margin0">
          {include
            file="shared/popup_cancel_confirm.tpl"
            confirm_text="{if $confirm_text}{$confirm_text}{/if}"
            cancel_text="{if $cancel_text}{$cancel_text}{/if}"
            confirm_button_id="{if $confirm_button_id}{$confirm_button_id}{/if}"
            hide_cancel="{$hide_cancel}"
          }
        </div>
      </div>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  util.preventBodyScroll();
  sharedPopup.hideOnClick('.popup-button-cancel');
  sharedPopup.hideOnClick('#popup-exit');
  {if !$disable_hide_on_confirm}
    sharedPopup.hideOnClick('#{$confirm_button_id}');
  {/if}
{include file="shared/script_end.tpl"}
