{*
  Error popup (without a cancel button).

  @author JP
  @param confirm_text
  @param ajax
*}

{extends file="shared/popup_extend.tpl"}
{assign var="is_success" value="{if isset($is_success) && $is_success}TRUE{/if}"}

{block name="is_success"}{$is_success}{/block}
{block name="is_warning"}{if isset($is_warning)}{$is_warning}{/if}{/block}
{block name="is_error"}{!$is_success}{/block}
{block name="heading"}
{if $is_success}
  {t}Success{/t}
{elseif isset($heading) && $heading}
  {$heading nofilter}
{else}
  {t}ERROR{/t}
{/if}
{/block}
{block name="body"}
<div id="popup-error-message">
  {$message nofilter}
</div>
{/block}
{block name="footer"}
  <div class="col-sm-8 col-centered">
    {include
      file="shared/raised_button.tpl"
      id="popup-button-confirm"
      class="btn-success"
      title="{if isset($confirm_text)}{$confirm_text}{else}{t}Okay{/t}{/if}"
    }
  </div>
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    util.preventBodyScroll();
    sharedPopup.hideOnClick('#popup-button-confirm');
  {include file="shared/script_end.tpl"}
{/block}
