{*
  Extendable popup template, for popup messages. NOTE: functions need to be
  called in the child templates to freeze the background and hide on button
  clicks.

  @author JP
*}
{assign var="is_success" value="{block name='is_success'}{/block}"}
{assign var="is_warning" value="{block name='is_warning'}{/block}"}
{assign var="is_error" value="{block name='is_error'}{/block}"}
{assign var="remove_exit" value="{block name='remove_exit'}{/block}"}

<div id="popup" class="popup popup-container">
  <div class="position-relative padding-20">
    <div class="panel col-sm-8 col-md-6 col-lg-6 col-centered popup-margin-top">
      <div class="{if $is_success || $is_error || $is_warning}alert margin0 {if $is_warning}alert-warning{elseif $is_success}alert-success{else}alert-danger{/if}{else}panel-heading{/if}">
        {if !$remove_exit}
          <div id="popup-exit" class="pull-right button-hover {if $is_success || $is_error}margin-top-minus-2{else}color-light-gray-2{/if}">
            <i class="material-icons">&#xE5C9;</i>
          </div>
        {/if}
        {block name="heading"}{/block}
      </div>
      <div class="panel-body popup-min-height">
        {block name="body"}{/block}
      </div>
      <div class="panel-footer">
        <div class="row margin0">
          {block name="footer"}{/block}
        </div>
      </div>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  sharedPopup.hideOnClick('#popup-exit');
{include file="shared/script_end.tpl"}

{block name="script"}
{/block}
