{*
  Reusable button.

  @author JP
  @param href Link to go to with button
  @param icon
  @param title
  @param class
  @param submit
*}
{assign var="is_submit" value="{if isset($submit) && $submit}TRUE{/if}"}
{assign var="tag" value="{if isset($href) && $href}a{elseif $is_submit}button{else}div{/if}"}
{assign var="icon_after_button" value="{if isset($icon_after_button)}TRUE{/if}"}
{assign var="has_title" value="{if isset($title) && $title}TRUE{/if}"}
{assign var="icon_html" value="{if isset($icon)}<i class='material-icons {if $has_title && $icon_after_button}button-right-icon-padding{elseif $has_title}button-left-icon-padding{/if} {if isset($icon_class)}{$icon_class}{/if}'>{$icon nofilter}</i>{/if}"}
{assign var="is_button" value="{if $tag == 'button'}TRUE{/if}"}
{assign var="remove_flexbox" value="{if isset($remove_flexbox)}TRUE{/if}"}
{assign var="global_gif_class" value="submit-button-with-gif"}
{assign var="use_global_gif_class" value="{if isset($use_global_gif_class)}TRUE{/if}"} {* used to disable multiple gif buttons, specifically for ajax.phpHelper *}

<{$tag}
  {if $is_submit}type="submit"{/if}
  {if isset($id)} id="{$id}" {/if}
  {if isset($href) && $href} href="{$href}" {/if}
  class="{if isset($class)}{$class}{/if} {if !$remove_flexbox}flexbox-center-children{/if} {if $use_global_gif_class}{$global_gif_class}{/if} btn btn-raised {if !isset($remove_block)}btn-block{/if} button-hover"
  {if isset($value)} value="{$value}" {/if}>
  {* Icon / Text *}
  <div id="{if isset($id)}{$id}-content{/if}" class="{if !$remove_flexbox}flexbox-center-children{/if} {if $use_global_gif_class}{$global_gif_class}-content{/if}">
    {if !$icon_after_button}
      {$icon_html nofilter}
    {/if}
    {if $has_title}<span class="wrap-long-words {if isset($title_class)}{$title_class}{/if}">{$title nofilter}</span>{/if}
    {if $icon_after_button}
      {$icon_html nofilter}
    {/if}
  </div>
  {* Loading gif *}
  <div id="{if isset($id)}{$id}-gif{/if}" class="{if $use_global_gif_class}{$global_gif_class}-gif{/if} display-none">
    <div class="visibility-hidden">.</div>
    {include
      file="shared/loading_gif_spinner.tpl"
      class="lds-spinner-button"
    }
  </div>
  {*
  <div class="{if !$remove_flexbox}flexbox-center-children{/if}">
    <div id="{if isset($id)}{$id}-gif{/if}" class="{if $use_global_gif_class}{$global_gif_class}-gif{/if} display-none">
      <div class="{if isset($gif_class)}{$gif_class}{else}button-gif{/if} display-inline-block">

        <img class="scalable-image" src="/images/loading.gif" />
      </div>
      {if isset($gif_title)}
        <div class="margin-left-5 display-inline-block">{$gif_title}</div>
      {/if}
    </div>
  </div>
  *}
</{$tag}>
