{*
  Circle button containing a dynamically selected icon for media types.

  @author JP
  @param href
  @param mime_part1
  @param mime_part2
  @param icon
  @param icon_class
*}
<a
  {if isset($href)}
  href="{$href}"
  {/if}
  {if isset($id)}
  id="{$id}"
  {/if}
  class="btn btn-fab {if isset($button_class)}{$button_class}{else}btn-default{/if}">
{if isset($mime_part1)}
  {include
    file="user/components/reusable/circle_button_icon.tpl"
    mime_part1=$mime_part1
    mime_part2="{if isset($mime_part2)}{$mime_part2}{/if}"
    icon_class="{if isset($icon_class)}{$icon_class}{/if}"
  }
{elseif isset($icon)}
  <i class="material-icons{if isset($icon_class)} {$icon_class}{/if}">{$icon nofilter}</i>
{elseif isset($number)}
  <h2 class="margin0 padding0">{$number}</h2>
{/if}
</a>
