{*
  Selects the icon type based on a parameter

  TODO We may want to modify this to take mime_part2, so that we can have the
  android icon, since right now mime_part1 is taken in, which is never 'android'.

  @author JP
  @param $mime_part1
  @param $mime_part2
  @param show_folder_icon
  @param icon_class
*}
{*
{assign var="is_media_icon" value="{if isset($is_media_icon) && $is_media_icon}TRUE{/if}"}
{elseif $is_media_icon}
  &#xE63A;
  {else}
  &#xE037;
  *}
{assign var="is_media_icon" value="{if isset($is_media_icon) && $is_media_icon}TRUE{/if}"}

<i class="material-icons {$icon_class}">
  {if isset($language_directory_icon) && $language_directory_icon}
    &#xE8E2;
  {elseif $mime_part1 == "info"}
    &#xE88F;
  {elseif $mime_part1 == "video"}
    {if $mime_part2 == "3gpp" || isset($stream_supported) && !$stream_supported}
      &#xE63B;
    {elseif $is_media_icon}
      &#xE63A;
    {else}
      &#xE037;
    {/if}
  {elseif $mime_part1 == "audio"}
    &#xE050;
  {elseif $mime_part1 == "application" && $mime_part2 == "vnd.android.package-archive"}
    &#xE859;
  {elseif $mime_part1 == "image"}
    &#xE3F4;
  {elseif $mime_part1 == "directory"}
    {if isset($show_folder_icon) && $show_folder_icon}
      &#xE2C7;
    {else}
      &#xE05F;
    {/if}
  {else}
    &#xE24D;
  {/if}
</i>

{* Other icons that could be used: *}
{* &#xE873; *}
{* &#xE2C7; *}
{* &#xE04A; *}
{* &#xE412; *}
{* &#xE415; *}
