{*
  Main nav bar for the user view

  @author JP
  @param general_logo Logo uploaded by user, if applicable
  @param logo_default Default LS logo, which is not in user images
*}

{if $general_logo_enabled}
  {if $general_logo_mode != 'image' || $general_logo_mode == 'image' && $general_logo}
    <div class="sticky-nav">
      <div class="home-nav user-theme-background-nav-header flexbox-center-children">
        <div class="home-nav-padding">
          {if $general_logo_mode == 'text'}
            <div class="wrap-long-words site-logo-text">
              {$general_logo_text}
            </div>
          {else}
            <div class="col-md-7 col-sm-8 col-xs-11 col-centered">
              <img
                {if $general_logo_mode == 'default'}
                src="{$logo_default}"
                {elseif $general_logo_mode == 'image'}
                id="site-image"
                src="/images/user_images/logo/{$general_logo}"
                {/if}>
            </div>
          {/if}
        </div>
      </div>
    </div>
  {/if}
{/if}
