'''
Created on Oct 15, 2014

@author: root
'''

import logging

class RwoLogger(object):
    '''
    classdocs
    '''
    __EXCEPTION_LEVEL = 98
    __globalLogger = None
    __enableGlobalLogging = True
    #================================================================#
    
    @staticmethod
    def setGlobalLogger(aLogger):
        try:
            if (type(aLogger) == str):
                aLogger = logging.getLogger(aLogger)
            if (type(aLogger) == RwoLogger):
                aLogger = aLogger.get_logger()
            if (type(aLogger) == logging.Logger) or (aLogger == None):
                RwoLogger.__globalLogger = aLogger
        except Exception as e: 
            print "setGlobalLogger exception:%s" % (str(e))
    
    @staticmethod
    def setGlobalLoggerEnabled(isEnabled):
        try:
            RwoLogger.__enableGlobalLogging = isEnabled
        except Exception as e: 
            print "setGlobalLoggerEnabled exception:%s" % (str(e))

    def __init__(self):
        self.__logger = None  
    
    def set_logger(self, aLogger):
        try:
            if (type(aLogger) == str):
                aLogger = logging.getLogger(aLogger)
            if (type(aLogger) == RwoLogger):
                aLogger = aLogger.get_logger()
            if (type(aLogger) == logging.Logger) or (aLogger == None):
                self.__logger = aLogger
        except Exception as e: 
            print "error in rwo logger setting logger:%s" % (str(e))
        
    def get_logger(self):
        return self.__logger
    
    def debug(self, string):
        self.log(logging.DEBUG, string)
            
    def info(self, string):
        self.log(logging.INFO, string)
            
    def warning(self, string):
        self.log(logging.WARN, string)
            
    def error(self, string):
        self.log(logging.ERROR, string)
        
    def exception(self, string):
        self.log(RwoLogger.__EXCEPTION_LEVEL, string)
            
    def critical(self, string):
        self.log(logging.CRITICAL, string)
            
    def log(self, level, aString):
        try:
            if type(aString) != str:
                aString = str(aString)
            
            localLogger = self.get_logger()
            
            if (localLogger != None) and (type(localLogger) == logging.Logger):
                if(level == RwoLogger.__EXCEPTION_LEVEL):
                    localLogger.exception(aString)
                    print aString
                else:
                    localLogger.log(level, aString)
                    
            globalLogger = RwoLogger.__globalLogger        
            if (RwoLogger.__enableGlobalLogging) and (globalLogger != None) \
            and (type(globalLogger) == logging.Logger) and (globalLogger != localLogger):
                globalLogger.log(level, aString)
                
        except Exception as e: 
            print "RwoLogger.log self:%s level%s string%s exception:%s" % (str(self), str(level), str(aString), str(e))
            



           